##########################################################################
# (c) Copyright McKesson Medical Imaging, 2002
#
# NAME
#	AliEmeraldViewer.base
#
# DESCRIPTION
#	Emerald Image Viewer base file
#
# HISTORY
#	17-Jul-2002  Benny W.
#	Added file header and lots of GUI-related variables.
#	15-May-2002  Benny W.
#	Added configuration variables for annotation.
#       20-Sept-2005 Raul Nemes
#       CRDB00035566 - Changed default tolerance values for MPR.VALIDATION.INTERSLICE_PRECISION_TOLERANCE
#       and MPR.VALIDATION.INTERSLICE_ANGLE_TOLERANCE from 0.009 and 1 to 50 and 4 respectively.
# 	24-Nov-2005 Andrei G. discussed with Raul Nemes
#	Changed threshold range values for LINKING.PATH_CORRELATION_THRESHOLD from 0-180 to 0-90 degrees
#
#	12-Dec-2005 Vladan P. CRDB00034731:	CINE.AUTOMATICALLY_PLAY_ALL_VISIBLE_CINE_SEQUENCES is removed
#	06-Feb-2006 Lukas R.  CRDB00034762:     Added General.Other_Apps_Kill_Timeout variable		
#       21-Feb-2006 Raul Nemes  CRDB00039506 - Changed DP.Show_Editor_Overlays default value from No to Yes.
#       13-Mar-2006 Lukas R.  CRDB00038806 - Added RIS Studylist configuration variables
#	23-mAY-2006 Max N.  CRDB00037906 & CRDB00037987 - Added ES-Related Config variables
#	09-June-2006 Carmen M. - CRDB00037330 - St. Lukes Chesterfield (STRQ1575):  Configurable Label on Quit button when HRS-D launched from EMR 
#   14-June-2006 Edda Cheung:  FEAT145 - Adding the HRS-D push feature
# 	15-June-2006 Carmen M:  STRQ2259 - Shape of annotation tool cover vital patient data - Added ANNOTATION.CURSOR_OPTION and STUDY.SHOW_EXTERNAL_CHANGE_STATUS_SUCCESS_DIALOG
#   16-Jun-2006 Edda Cheung  CRDB42236: Do not always save annotations on close when study status was dictated/reported
#   10-July-2006 Vladan Petrovic:  FEAT145 - Adding the HRS-D push feature ENTRIES_IN_RECENTLY_OPENED_STUDIES
#   10-Aug-2006 ALemnaru [CRDB00043418]: Added configuration for online help.
#   30-Aug-2006 Leonard Yan CRDB00036892: Added LINKING.AUTOMATIC.INTRASTUDY
#   31-Aug-2006 Lukas R.  CRDB00043753: Added HPP.CONTEXT_ACCOUNT_NAME
#   06-SEP-2006 Valentin Pirvulescu:  CRDB00043830: Added DirectDraw configuration
#   06-SEP-2006 CarmenM  CRDB00043845: Site would like to have .1cm increments when performing distance annotations past 10cm.
#   12-Sep-2006 Alemnaru CRDB00044159: Updated configuration for online help.
#   24-Jan-2006 Lukas R. CRDB00047564: HRSD.SHOW_CAPTION_BAR default set to "YES" instead of "NO"
#  07-Feb-2007 tkraeva  CRDB00047872: Added configuration for opened contexts limit for pushed studies.
#  14-Feb-2007 Lukas R. CRDB00047872: Updated default value for PUSH.MAX.PATIENTCONTEXT.LIMIT to a safer value for slower client machines
#  12-Jun-2007 Sunny    CRDB00051702: [SIBLING of 11.0.7 CRDB00048863] Push: Audio indication of study arrival is not per requirement
#  07-Jun-2007 Caritor	CRDB00044706: Added configuration variable for automatic linking (DP.LINKING_OPTION) 
#  17-May-2007 Caritor	CRDB00043354: Since it is impossible to change the size of the virtual scrollbar "Power_Scroll.MaxScrollbarSize" is removed to avoid confusion.
#  19-Jul-2007 Sunny    CRDB00052579: [SIBLING of 11.0.7 CRDB00050767] Max cine frame rate fonr non-native cine playback is too conservative
#  10-Sep-2007 Carmen M	CRDB00054755-[SIBLING of 11.0 SP 5 CRDB00053884] Ability to W/L based on source for initial load and mouse sensitivity
#  17-Dec-2007 tkraeva  CRDB00056066: [SIBLING of 11.0.8 CRDB00051205] Web push default config value caused major problems at customer sites upgraded to SP5.
#  01-Apr-2008 Igor S  CRDB00060896: Merging 11.0_SP6.1 (Colorado) into 11.5.1
#  07-Apr-2008 BTodiwalla CRDB00062025: [SIBLING of 11.0.8 CRDB00060645] Since SP8 upgrade the reference lines won't show for some studies.
#  15-Apr-2008 CarmenM CRDB00048597: Window Levels not updating in real time when images are tiled
#  18-apr-2008 tkraeva CRDB00061975: [SIBLING of 11.5.1 CRDB00055906] Dictated voiceclip translated to needs overread.
#  25-apr-2008 krutten CRDB55445: Copy to clipboard FEAT283
#  30-May-2008 tkraeva CRDB00062505: Make number of SAL transport background channels modality-specific for HRSD
#  05-Sep-2008 tkraeva CRDB00066168: [SIBLING of 11.0.8 CRDB00053719] Remove Due to Site Policy warning when annotating reported images
#  01-Sep-2008	Daniela		CRDB00057337[11.6 Clone CRDB00066340] :Open help file of correct language in
#							HRS-D. Added ONLINE_HELP.LAUNCH_URL.FRC. <21-Nov-2007>
#				Carmen M	CRDB00057720:[11.6 clone CRDB00058456] HRS
#							minimizes Radimage. Added
#							MINIMIZE.THIRD_PARTY_APPLICATIONS variables. <04-Jan-2008>
#							CRDB00059482[11.6 Clone CRDB00066341]:Added 'HRSD.QUIT_LABEL.FRC' value
#							to be used when HRS-D is launched via EMR or
#							other application for a french user. <Jan 29, 2008>
#  30-Jan-2009 Vladimir N.	Added configuration variables for Zoom to Fit Anatomy (HRS 11.6 advanced mammo)
#  11-Feb-2009 BTodiwalla	11.6 Feature Implementation: Unviewed images stage.
#  12-Feb-2008 VP     		BID325024 Added new tool(AutoDimTool) in the tool map for the AutoDim Monitors
#  04-Mar-2009 Vladimir N.	Added configuration variables for Quadrant Zoom (HRS 11.6 advanced mammo):
#							ZOOM.MG.QUADRANT.IMAGE_QUADRANT_DIVISION 
#							ZOOM.MG.QUADRANT.DISPLAY_ZOOM_IMAGE_MAP
#							ZOOM.MG.QUADRANT.QUADRANT_MARGINS_PERCENTAGE
#							ZOOM.MG.QUADRANT.EXIT_ON_QUADRANT_CYCLING
#							ZOOM.MG.QUADRANT.IMAGE_QUADRANT_PLACEMENT	
#  19-Mar-2009     Peter Gavriliouk. CRDB00068558 SIBLING of 11.5.2 CRDB00067025] Uncommented line in EMViewer.base causing errors reported when configuration is read
#  19-Mar-2009     Peter Gavriliouk. CRDB00067559 [SIBLING of 11.5.1 CRDB00066511] HRS-11A is missing /forgetting to generate statistical performance event for open study
#  15-Mar-2009     Vladimir N., Added configuration variables for CAD SR Marks (HRS 11.6 advanced mammo):	
#  01-Jun-2009     Cristian Bonciu,Added configuration variables for the distance annotation type (HRS 11.6 Annotation improvements feature)
#  08-Jun-2009 	   Akichtchenko	CRDB00070198 [SIBLING of 11.5.2 CRDB00070010] New configuration in HRS-D. Added HRSD.USE_DEFAULT_STUDYLIST.
#  22-Jun-2009 Vladimir N.	Changed range of values for ZOOM.MG.QUADRANT.ZOOM.QUADRANT_MARGINS_PERCENTAGE variable [CRDB00075461]	
#  30-Jun-2009 Vladimir N.	Added configuration variables for CAD SR markers support (HRS 11.6)
#  07-JULY-2009   VP CRDB00072801 Refreshing the studylist shall not un-dim monitor implemented
#  29-Jul-2009 Igor S: CRDB00073538 [CRDB00052510] - Site wants behavior of scrolling through US images to be the way it was in SP3
#  29-Jul-2009 Valetin ENABLE_THUMBNAIL_OPTIMIZATION_FOR_MODALITIES was added
#  01-Sep-2009 Igor S. CRDB00073670 11.6 porting - CRDB00072810 Config. variable ANNOTATION.EXTENDED_RESTRICTED_ACTIVITY is missing in the EMViewer.base configuration file.
#  04-Sep-2009 ACovaser	CRDB00070539[SIBLING of 11.5.2 CRDB00066575]: interactive zoom is too sensitive - use double for zoom sensitivity factor
#  17-Sep-2009 pgavriliouk CRDB00079762 Check in configuration variable files for factory settings for 11.6
#  04-Nov-2009 vpirvulescu added values for AUXILIARY_MONITOR_DIM.WINDOWS_EXCLUSION_LIST_PROCESS_NAMES
#  6-1-2010     Peter Gavriliouk. CRDB00082711 [SIBLING of 11.5.1 CRDB00082688] Add a new config in EMViewer.base to allow HRS-A to use multiple loading channels to improve total study load time for IowaHealth or any WAN network 
#  14-Jan-2009 AKichtchenko	CRDB00083164[SIBLING of 11.6 CRDB00082456]- French Validation - Advanced Web study list. Recently Opened is not listed on Studies sub menu on Main Tool bar.
#  06-April-2010 vpirvulescu CRDB00083871 MG_TURN_AROUND_TIME variable added.
#  23-April-2010 cristi CRDB00086307 fixed comments for the MG_TURN_AROUND_TIME variable
#  18-August-2011 Karen Hu CRDB00100743 Zoom Window Loss of Existing Functionality in HMI 11.7, ZOOM_WINDOW.All_Images_Sequence_Display
#  20-Feb-2012 Karen Hu CRDB00109166 HRS-D does not close on portal close, unable to close HRS-D manually through EMR
########################################################################## 

#----------------------------------------------------------------------------
# VARIABLE_NAME:     TRACE.LEVELS
# VARIABLE_TYPE:     array of strings
# DESCRIPTION:       Indicates the levels to be traced and logged in the log file
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   ERROR    : exceptional condition message
#                    WARNING  : unusual condition message
#                    EVENT    : user/externally generated event message
#                    SERVICE  : general "what's going on" message
#                    VERBOSE  : detailed programmer-level message
# SUGGESTED DEFAULT: ERROR WARNING EVENT SERVICE
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
TRACE.LEVELS	install		ERROR WARNING EVENT SERVICE


# The Main Toolbar can be attached to a specific logical monitor (this includes the virtual ones) 
# For the example above with 3 logical monitors, we can have a scenario with TOOLBAR_VISIBLE_ON_MONITOR 1, this means 
# that the toolbar is visible only on the color monitor. If we have TOOLBAR_VISIBLE_ON_MONITOR 1 3 ,then the toolbar 
# will be visible only on the color one and on the right most grayscale.
#
# For internal use only.
################################################################################################################### 
TOOLBAR_VISIBLE_ON_MONITOR	INSTALL 	1 2 3



#----------------------------------------------------------------------------
# VARIABLE_NAME:     AUTOHIDETOOLBAR
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Auto hide tool bar or not
# CONTEXT:           -
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
AUTOHIDETOOLBAR      INSTALL			NO 

#----------------------------------------------------------------------------
# VARIABLE_NAME:     AUTOHIDETOOLBAR.HOTZONE.LOCATION
# VARIABLE_TYPE:     string
# DESCRIPTION:       the hot zone location
# CONTEXT:           -
# RANGE OF VALUES:   Top, Bottom, Both
# SUGGESTED DEFAULT: Top
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
AUTOHIDETOOLBAR.HOTZONE.LOCATION	INSTALL			TOP 


#----------------------------------------------------------------------------
# VARIABLE_NAME:     AUTOHIDETOOLBAR.HOTZONE.HEIGHT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       the configuration variable determines the hot zone height
# CONTEXT:           -
# RANGE OF VALUES:   	integer from 1 to 2 with unit of millimeter (mm). The maximum hot zone height 
#			should not bigger than the height of main tool bar and study tool bar which is 
#			default 22mm (main tool bar) plus 7mm (study tool bar).
# SUGGESTED DEFAULT: 1 (which means 1mm from the top, if the hot zone location configuration variable 
#			is set up as Top; if the hot zone location configuration variable is set up as 
#			Bottom, then it means the 1mm from bottom.)
# EXCEPTIONS:        -
#----------------------------------------------------------------------------

AUTOHIDETOOLBAR.HOTZONE.HEIGHT	INSTALL				1



#----------------------------------------------------------------------------
# VARIABLE_NAME:     AUTOHIDETOOLBAR.HOTZONE.SENSITIVITY
# VARIABLE_TYPE:     float
# DESCRIPTION:       the hot zone sensitivity
# CONTEXT:           -
# RANGE OF VALUES:   	float (unit is millisecond)
# SUGGESTED DEFAULT: 500 (1/2 second)
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
AUTOHIDETOOLBAR.HOTZONE.SENSITIVITY 	INSTALL			500



#----------------------------------------------------------------------------
# VARIABLE_NAME:     MAIN_TOOLBAR.FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Main toolbar button font height in percentage (base: general font height)
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 120
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MAIN_TOOLBAR.FONT_HEIGHT_PERCENT		install		120


#----------------------------------------------------------------------------
# VARIABLE_NAME:     MAIN_TOOLBAR.SMALL_FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Label on main toolbar that are using SMALL font style in percentage (base:
#                    general font height) E.g. explanatory label for patient, display protocol, stage
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 90
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MAIN_TOOLBAR.SMALL_FONT_HEIGHT_PERCENT	install		90

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MAIN_TOOLBAR.MEDIUM_FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Label on main toolbar that are using MEDIUM font style in percentage (base:
#                    general font height) E.g. tools name, display protocol name, stage name
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 100
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MAIN_TOOLBAR.MEDIUM_FONT_HEIGHT_PERCENT	install		100

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MAIN_TOOLBAR.LARGE_FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Label on main toolbar that are using LARGE font style in percentage (base:
#                    general font height) E.g. primary patient information
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 150
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MAIN_TOOLBAR.LARGE_FONT_HEIGHT_PERCENT	install		150


#----------------------------------------------------------------------------
# VARIABLE_NAME:     MAIN_TOOLBAR.TOOLS.SHOW_LABEL
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Whether to show tool label below icon on main toolbar
# CONTEXT:           -
# RANGE OF VALUES:  YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MAIN_TOOLBAR.TOOLS.SHOW_LABEL			install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     MAIN_TOOLBAR.HEIGHT
# VARIABLE_TYPE:	 integer
# DESCRIPTION:       Height of main toolbar (in mm )  
# CONTEXT:			 -
# RANGE OF VALUES:   10 - 40 (mm)
# SUGGESTED DEFAULT: 22
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MAIN_TOOLBAR.HEIGHT	install		22

#----------------------------------------------------------------------------
# VARIABLE_NAME:     STUDY_TOOLBAR.HEIGHT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Height of study toolbar (in mm )
#                    Site configurable only
# CONTEXT:           -
# RANGE OF VALUES:   5 - 20 (mm)
# SUGGESTED DEFAULT: 7
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDY_TOOLBAR.HEIGHT	install		7	

#----------------------------------------------------------------------------
# VARIABLE_NAME:     STUDY_TOOLBAR.FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Study toolbar button font height in percentage (base: general font height)
#                    Site Configurable only
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 160
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDY_TOOLBAR.FONT_HEIGHT_PERCENT		install		160

#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.SENSITIVITY.MODALITY  where MODALITY can be: GENERAL - this is the default
#								     or any supported modality	
# VARIABLE_TYPE:     integer
# DESCRIPTION:       WL sensitivity factor per modality
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   1 to 20; 1 is less sensitive and 20 is most sensitive
# SUGGESTED DEFAULT: 10
# EXCEPTIONS:        -
# EXAMPLES : 
#			WL.SENSITIVITY.MR			INSTALL		2
#			WL.SENSITIVITY.CT			INSTALL		14
#			WL.SENSITIVITY.CR			INSTALL		10
#----------------------------------------------------------------------------
WL.SENSITIVITY.GENERAL			INSTALL		10


#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.SENSITIVITY.SOURCE.HOSTNAME  where HOSTNAME is the source hostname 
# VARIABLE_TYPE:     integer
# DESCRIPTION:       WL sensitivity factor per source
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   1 to 20; 1 is less sensitive and 20 is most sensitive
# SUGGESTED DEFAULT: 10
# EXCEPTIONS:        -
# EXAMPLES : 
#		     WL.SENSITIVITY.SOURCE.hostname1	INSTALL		2
#----------------------------------------------------------------------------



#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.SENSITIVITY.INTERACTIVE_RANGE  
#								     
# VARIABLE_TYPE:     integer
# DESCRIPTION:       WL sensitivity range
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   "ORIGINAL" or "COMPUTED"
# SUGGESTED DEFAULT: "ORIGINAL"
# EXCEPTIONS:        -
#
#----------------------------------------------------------------------------
WL.SENSITIVITY.INTERACTIVE_RANGE        INSTALL    "ORIGINAL"    


#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.SENSITIVITY.INTERACTIVE_RANGE.SOURCE.HOSTNAME  where HOSTNAME is the source hostname   
#								     
# VARIABLE_TYPE:     integer
# DESCRIPTION:       WL sensitivity range per source
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   "ORIGINAL" or "COMPUTED"
# SUGGESTED DEFAULT: "ORIGINAL"
# EXCEPTIONS:        -
# EXAMPLES : 
#		     WL.SENSITIVITY.INTERACTIVE_RANGE.SOURCE.hostname2	INSTALL	"COMPUTED"
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.INTERACTIVE.ApplyDelayedOnScope
#								     
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Defines whether to apply the Interactive Window Level in real time. When this variable is set to true, 
#			the interactive window level is applied to the scope in real time and when it is set to false 
#			the interactive window level is applied delayed (at mouse button up)

#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   yes, no
# SUGGESTED DEFAULT: no
# EXCEPTIONS:        -

#----------------------------------------------------------------------------
WL.INTERACTIVE.ApplyDelayedOnScope INSTALL NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.PRESET.NUMBER  	
# VARIABLE_TYPE:     integer
# DESCRIPTION:       the number of listed preset on the WL menu
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   from 1 to the total number of existing presets
# SUGGESTED DEFAULT: 10
# EXCEPTIONS:        -
# EXAMPLES : 
#			WL.PRESET.NUMBER			INSTALL		4
#----------------------------------------------------------------------------
WL.PRESET.NUMBER 			INSTALL		10

#----------------------------------------------------------------------------
# VARIABLE_NAME:     THUMBNAIL.FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Thumbnail panel font height in percentage (base: general font height)
#				 	 Site Configurable only.	
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 100
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
THUMBNAIL.FONT_HEIGHT_PERCENT		INSTALL		100	


#----------------------------------------------------------------------------
# VARIABLE_NAME:     THUMBNAIL.DIALOG_WIDTH
# VARIABLE_TYPE:     double
# DESCRIPTION:       Width of thumbnail dialog per user in percentage from the screen width. Height depends on number of study thumbnail controls
# CONTEXT:           -
# RANGE OF VALUES:   0.1 - 1
# SUGGESTED DEFAULT: 0.5
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
THUMBNAIL.THUMBNAIL.DIALOG_WIDTH		INSTALL		0.5	

#----------------------------------------------------------------------------
# VARIABLE_NAME:     SCROLL_ENABLE
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       if YES the thumnail will scroll to show the currently opened study.
# CONTEXT:           -
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
THUMBNAIL.SCROLL_ENABLE		INSTALL		NO	

#----------------------------------------------------------------------------
# VARIABLE_NAME:	Power_Scroll.Enable      	 
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Define if Power Scroll Is Enabled on site.
#                   Site configurable only
# CONTEXT:			
# RANGE OF VALUES:	YES - Power Scrolling Enabled
#			        NO -  Power Scrolling Desabled
#					
#	 
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
Power_Scroll.Enable     			INSTALL		YES 	 

#----------------------------------------------------------------------------
# VARIABLE_NAME:	Power_Scroll.Mode
# VARIABLE_TYPE:	string
# DESCRIPTION:		This variable specifies the supported scroll modes.
#							
# CONTEXT:			
# RANGE OF VALUES:	PROPORTIONAL 	- Power Scrolling is in Proportional Mode
#                   VELOCITY 		- Power Scrolling is in Velocity Mode
#					
#	 
# SUGGESTED DEFAULT: 	PROPORTIONAL
# EXCEPTIONS:       
#----------------------------------------------------------------------------
Power_Scroll.Mode				INSTALL		PROPORTIONAL

#----------------------------------------------------------------------------
# VARIABLE_NAME:	Power_Scroll.Activation	
# VARIABLE_TYPE:	string
# DESCRIPTION:		This variable specifies the supported scroll activation methods.  
#							
# CONTEXT:			
# RANGE OF VALUES:	DRAG	- Power Scrolling used in Mouse Drag Method
#                   CLICK 	- Power Scrolling used in Mouse Click Method
#					
#	 
# SUGGESTED DEFAULT: 	DRAG	
# EXCEPTIONS:       
#----------------------------------------------------------------------------
Power_Scroll.Activation				INSTALL		DRAG


#----------------------------------------------------------------------------
# VARIABLE_NAME:	Power_Scroll.Orientation			
# VARIABLE_TYPE:	string
# DESCRIPTION:		This variable specifies the supported scroll orientations.
#							
# CONTEXT:			
# RANGE OF VALUES:	VERTICAL 	- Power Scrolling used with VERTICAL_ORIENTATION
#                   HORIZONTAL 	- Power Scrolling used with HORIZONTAL_ORIENTATION 
#					
#	 
# SUGGESTED DEFAULT: 	VERTICAL
# EXCEPTIONS:       
#----------------------------------------------------------------------------
Power_Scroll.Orientation			INSTALL		VERTICAL

#----------------------------------------------------------------------------
# VARIABLE_NAME:	POWER_SCROLL.SPEED_REGION			
# VARIABLE_TYPE:	integers
# DESCRIPTION:		This variable specifies the regions in the viewprt mapped to different sensitive speeds .
#                   Site configurable only
# CONTEXT:          Top speed region, variable speed region, parked region(in percentage)
# RANGE OF VALUES:	from 0 to 100
#						
#	 
# SUGGESTED DEFAULT: 	5 40 10
# EXCEPTIONS:       
#----------------------------------------------------------------------------
POWER_SCROLL.SPEED_REGION				INSTALL 5 40 10
 

#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.DISTANCE_TRESHOLD
# VARIABLE_TYPE:     long
# DESCRIPTION:       Default for setting a sensitivity area for WL interactive. 
# 					 Dragging outside the area will trigger a WL change.
#                    Base configurable only
# RANGE OF VALUES:   - undefined
#
# SUGGESTED DEFAULT: 32
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
WL.DISTANCE_TRESHOLD		INSTALL				32


#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.ACC_TRESHOLD
# VARIABLE_TYPE:     long
# DESCRIPTION:       Default for setting a acceleration area inside the distance sensitivity area for WL interactive. 
#					 Any value bigger than  WL.ACC_TRESHOLD will trigger a WL change.	
#                    Base configurable only
# RANGE OF VALUES:   - undefined
#
# SUGGESTED DEFAULT: 8
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
WL.ACC_TRESHOLD		INSTALL				8


#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.LEVEL_DIRECTION
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default for changing Level values in interactive mode
#                    Site configurable only
# RANGE OF VALUES:   - VERTICAL
#                    - HORIZONTAL
#
# SUGGESTED DEFAULT: VERTICAL
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
WL.LEVEL_DIRECTION		INSTALL				"VERTICAL"


#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.WINDOW_DIRECTION
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default for changing Window values in interactive mode
#                    Site configurable only
# RANGE OF VALUES:   - VERTICAL
#                    - HORIZONTAL
#
# SUGGESTED DEFAULT: HORIZONTAL
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
WL.WINDOW_DIRECTION		INSTALL				"HORIZONTAL"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.SCOPE.GENERAL
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default scope to apply window/level values
#                    Site configurable only
# RANGE OF VALUES:   - SELECTED_IMAGES
#                    - SELECTED_SERIES
#                    - VISIBLE_SERIES
# SUGGESTED DEFAULT: SELECTED_IMAGES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
WL.SCOPE.GENERAL				INSTALL		SELECTED_IMAGES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     WL.SCOPE.<modality>
# VARIABLE_TYPE:     string
# DESCRIPTION:       Scope to apply window/level values to a particular modality.  Refer to
#                    General.Modality_List for available modalities
# RANGE OF VALUES:   - SELECTED_IMAGES
#                    - SELECTED_SERIES
#                    - VISIBLE_SERIES
# SUGGESTED DEFAULT: -
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
WL.SCOPE.US					INSTALL		SELECTED_IMAGES
WL.SCOPE.MG					INSTALL		SELECTED_IMAGES
WL.SCOPE.CR					INSTALL		SELECTED_IMAGES
WL.SCOPE.DR					INSTALL		SELECTED_IMAGES
WL.SCOPE.XA					INSTALL		SELECTED_IMAGES
WL.SCOPE.RF					INSTALL		SELECTED_IMAGES
WL.SCOPE.OT					INSTALL		SELECTED_IMAGES
WL.SCOPE.SC					INSTALL		SELECTED_IMAGES
WL.SCOPE.CT					INSTALL		SELECTED_SERIES
WL.SCOPE.MR					INSTALL		SELECTED_SERIES
WL.SCOPE.NM					INSTALL		SELECTED_SERIES

#----------------------------------------------------------------------------
# VARIABLE_NAME:  	WL.Histogram.Color
# DESCRIPTION: 		Color for histogram at window level panel
# Acceptable Values:array of integer (RGB values)(0-255)
# SUGGESTED DEFAULT:255 255 0 (yellow)
# Modification through UI:	No
#----------------------------------------------------------------------------
WL.Histogram.Color INSTALL 255 255 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:   	 WL.Graph.color
# DESCRIPTION: 		 color for graph at window level panel
# Acceptable Values: array integer (RGB values) (0-255)
# SUGGESTED DEFAULT:	 255 0 0 (red)
# Modification through UI:	No
#----------------------------------------------------------------------------
WL.Graph.color		INSTALL 255 0 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.COLOR_SCHEME_LIST
# VARIABLE_TYPE:     
# DESCRIPTION:       Listing of all available color schemes for the site.
#                    Site configurable only.
# CONTEXT:           
# RANGE OF VALUES:   Night  Dawn
# SUGGESTED DEFAULT: Night  Dawn
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
GENERAL.COLOR_SCHEME_LIST 	install	  "Night"  "Dawn"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.COLOR_SCHEME
# VARIABLE_TYPE:     string
# DESCRIPTION:       Active color scheme for a user
# CONTEXT:           
# RANGE OF VALUES:   see variable COLORSCHEME_LIST
# SUGGESTED DEFAULT: "Night"
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
GENERAL.COLOR_SCHEME 	install	"Night"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.FONT.FACE
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default font type/face for the site
#                    Site configurable only
# CONTEXT:           All UI components
# RANGE OF VALUES:   All installed fonts, read MSDN, keyword LOGFONT.
# SUGGESTED DEFAULT: "Arial"
# EXCEPTIONS:        Use "Arial" for the time being.
#----------------------------------------------------------------------------
GENERAL.FONT.FACE	install		"Arial"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.FONT.HEIGHT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       General font height (in logical units) for the user.  This will be mapped to user
#                    preferences for adjusting main font size
# CONTEXT:           All UI components
# RANGE OF VALUES:   Read MSDN, keyword LOGFONT.
# SUGGESTED DEFAULT: -6
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
GENERAL.FONT.HEIGHT		install		-6

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.FONT.WEIGHT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       General font weight (in logical units) for the site.  Development use only.
#                    Site configurable only.
# CONTEXT:           All UI components
# RANGE OF VALUES:   Read MSDN, keyword LOGFONT. (0 through 1000)
# SUGGESTED DEFAULT: 400
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
GENERAL.FONT.WEIGHT		install		400

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.MENU.FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Default menu font height (in percentage) for the site based on general font height
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 150
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
GENERAL.MENU.FONT_HEIGHT_PERCENT		install		150

#----------------------------------------------------------------------------
# VARIABLE_NAME:     INDEX_VIEWPORT.HEIGHT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Preferred height in [mm] for the index viewport. If the
#                    the font height is larger than this value, font height
#                    defines the index viewport height.
# CONTEXT:           -
# RANGE OF VALUES:   1 - upper ranger of signed long int
# SUGGESTED DEFAULT: 4
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
INDEX_VIEWPORT.HEIGHT		install		4

#----------------------------------------------------------------------------
# VARIABLE_NAME:     INDEX_VIEWPORT.FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Index Viewport button font height in percentage
#                    (base: general font height)
# CONTEXT:           -
# RANGE OF VALUES:   1 - upper ranger of signed long int
# SUGGESTED DEFAULT: 150
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
INDEX_VIEWPORT.FONT_HEIGHT_PERCENT		install		150

#----------------------------------------------------------------------------
# VARIABLE_NAME:     INDEX_VIEWPORT.CHIT_FONT_HEIGHT_PERCENT
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Index Viewport chit font height in percentage 
#                    (base: general font height).
#                    Site configurable only.
# CONTEXT:           -
# RANGE OF VALUES:   1 - 500
# SUGGESTED DEFAULT: 100
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
INDEX_VIEWPORT.CHIT_FONT_HEIGHT_PERCENT	install		100

#----------------------------------------------------------------------------
# VARIABLE_NAME:     TOOLBAR.MONITOR_x.AUTOHIDE
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Toolbar auto hide feature.
#                    For internal use only.
# CONTEXT:           -
# RANGE OF VALUES:   -
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:     TOOLBAR.MONITOR_x.WIDEPRESENTATIONSTYLE
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Toolbar in wide presention mode.
#                    For internal use only.
# CONTEXT:           -
# RANGE OF VALUES:   -
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:     TOOLBAR.MONITOR_x.DISPPROTCNTRLCOMPACTLOOK
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Toolbar display protocol control has also a compact look.
#                    For internal use only.
# CONTEXT:           -
# RANGE OF VALUES:   -
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------

TOOLBAR.MONITOR_1.AUTOHIDE					install		NO
TOOLBAR.MONITOR_1.WIDEPRESENTATIONSTYLE		install		NO
TOOLBAR.MONITOR_1.DISPPROTCNTRLCOMPACTLOOK	install		NO

TOOLBAR.MONITOR_2.AUTOHIDE					install		NO
TOOLBAR.MONITOR_2.WIDEPRESENTATIONSTYLE		install		NO
TOOLBAR.MONITOR_2.DISPPROTCNTRLCOMPACTLOOK	install		NO

TOOLBAR.MONITOR_3.AUTOHIDE					install		NO
TOOLBAR.MONITOR_3.WIDEPRESENTATIONSTYLE		install		NO
TOOLBAR.MONITOR_3.DISPPROTCNTRLCOMPACTLOOK	install		YES

TOOLBAR.MONITOR_4.AUTOHIDE					install		NO
TOOLBAR.MONITOR_4.WIDEPRESENTATIONSTYLE		install		NO
TOOLBAR.MONITOR_4.DISPPROTCNTRLCOMPACTLOOK	install		YES


##########################################################################################
#
#  ANNOTATIONS
#
##########################################################################################

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.CURSOR_OPTION
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Whether to use GX like arrow cursor or generic cross cursor
# CONTEXT:			-
# RANGE OF VALUES:	0 means generic cross cursor, 1 means GX like arrow cursor
# SUGGESTED DEFAULT: 	0
# EXCEPTIONS:        	-
#----------------------------------------------------------------------------
ANNOTATION.CURSOR_OPTION install 0


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.SNAP_WS
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to automatically show working set.  Only applicable when
#                   creating working set for the first time and historical annotation
#                   set is shown.
#					Site configurable only.
# CONTEXT:			-
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.SNAP_WS		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.FLAG_ON_PERSISTENT
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Ability to flag image when persistent annotation is added
# CONTEXT:			-
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.FLAG_ON_PERSISTENT			install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.DOUBLE_CLICK
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether double click is activ for annotation or for scroll to point/zoom window 
# CONTEXT:			-
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.DOUBLE_CLICK		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:     ANNOTATION.PANEL.MODE
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Active Annotation mode for the user
# CONTEXT:           -
# RANGE OF VALUES:	DISTANCE
#			ANGLE
#			ROI
#			ARROW
#			COVER
#			SPINE
#			DELETE
#			COBB
#			POINT
#			ELLIPSE
#			TEXT
#			CALIBRATE
#			DELETE_ALL
# SUGGESTED DEFAULT: DISTANCE
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.PANEL.MODE		install	 DISTANCE

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.PANEL.VIEW
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Annotation panel view status
# CONTEXT:			-
# RANGE OF VALUES:	COMPACT
#                   DETAIL
# SUGGESTED DEFAULT: COMPACT
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.PANEL.VIEW		install		COMPACT


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.PANEL.PIN
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether the annotation panel is pinned to a certain location or snap to
#                   active viewport
# CONTEXT:           -
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.PANEL.PIN		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.PANEL.PIN_LOCATION
# VARIABLE_TYPE:	array of integer (x, y)
# DESCRIPTION:		Pinned location annotation panel. 
#                   In percentage of the current screen resolution
# CONTEXT:			-
# RANGE OF VALUES:	0..100, 0..100
# SUGGESTED DEFAULT: 50, 50
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.PANEL.PIN_LOCATION		install		50 50



#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.MEASURE_UNIT
# VARIABLE_TYPE:	enum
# DESCRIPTION:		Determine measurement unit for all annotations for all modailites
#                   
# CONTEXT:			-
# RANGE OF VALUES:	mm, cm
# SUGGESTED DEFAULT: mm
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.MEASURE_UNIT		install		mm

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.MEASURE_PRECISION
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Determine measurement precision for all annotations for all modailites
#                   
# CONTEXT:			-
# RANGE OF VALUES:	1-10
# SUGGESTED DEFAULT: 1
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.MEASURE_PRECISION		install		1

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.THICKNESS_SENSITIVITY
# VARIABLE_TYPE:	real
# DESCRIPTION:		Determine the sensitivity for annotation's thickness
#                   
# CONTEXT:			-
# RANGE OF VALUES:	> 0
# SUGGESTED DEFAULT: 	0.5
# EXCEPTIONS:        	-
#----------------------------------------------------------------------------
ANNOTATION.THICKNESS_SENSITIVITY	install		0.5

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.TEXT_LABEL_DISTANCE
# VARIABLE_TYPE:	integer
# DESCRIPTION:		The variable controls the distance between text label and line measurement
#                   
# CONTEXT:			-
# RANGE OF VALUES:	> 0
# SUGGESTED DEFAULT: 	5
# EXCEPTIONS:        	-
#----------------------------------------------------------------------------
ANNOTATION.TEXT_LABEL_DISTANCE	install		5

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.DETECTION
# VARIABLE_TYPE:	integer
# DESCRIPTION:		The variable specifies the size and detection area of the line measurement at the each endpoint of a line.
#			The number specifies the radius from an endpoint.

#                   
# CONTEXT:			-
# RANGE OF VALUES:	> 0
# SUGGESTED DEFAULT: 	2
# EXCEPTIONS:        	-
#----------------------------------------------------------------------------
ANNOTATION.DETECTION	install		2

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.GENERAL.PERSISTENT
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Default whether the annotation tool is persistent/temporary for all annotation tools.
#                   Site Configurable only
# CONTEXT:			-
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.GENERAL.PERSISTENT			install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.<tool>.PERSISTENT
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to show text following for all annotation tools
# CONTEXT:			-
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.PERSISTENT			install		YES
ANNOTATION.DISTANCE.PERSISTENT			install		YES
ANNOTATION.ELLIPSE.PERSISTENT			install		YES
ANNOTATION.TEXT.PERSISTENT			install		YES
ANNOTATION.ANGLE.PERSISTENT			install		YES
ANNOTATION.COBB.PERSISTENT			install		YES
ANNOTATION.ROI.PERSISTENT			install		YES
ANNOTATION.SPINE.PERSISTENT			install		YES
ANNOTATION.COVER.PERSISTENT			install		YES
ANNOTATION.CALIBRATE.PERSISTENT			install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.GENERAL.SHOW_TEXT
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to show text following for all annotation tools
#					Site Configurable only
# CONTEXT:			-
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.GENERAL.SHOW_TEXT			install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.<tool>.SHOW_TEXT
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to show text following for an annotation tool
# CONTEXT:			-
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.SHOW_TEXT		install		YES
ANNOTATION.ELLIPSE.SHOW_TEXT		install		YES
ANNOTATION.COVER.SHOW_TEXT		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.GENERAL.COLOR
# VARIABLE_TYPE:	string
# DESCRIPTION:		Default color selector allows the user to apply certain color to annotation object for
#					all tools.
#                   Site Configurable only
# CONTEXT:			-
# RANGE OF VALUES:	BLACK, BLUE, CYAN, GREEN, MAGENTA, RED, WHITE, YELLOW
# SUGGESTED DEFAULT: 255 255 0 (yellow)
#----------------------------------------------------------------------------
ANNOTATION.GENERAL.COLOR		install		YELLOW

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.<tool>.COLOR
# VARIABLE_TYPE:	string
# DESCRIPTION:		Default color selector allows the user to apply certain color for an
#                   annotation tool.
# CONTEXT:			-
# RANGE OF VALUES:	BLACK, BLUE, CYAN, GREEN, MAGENTA, RED, WHITE, YELLOW
# SUGGESTED DEFAULT: YELLOW
# EXCEPTIONS:        Annotation.cover.color default to BLACK
#----------------------------------------------------------------------------
ANNOTATION.ARROW.COLOR				install		YELLOW
ANNOTATION.DISTANCE.COLOR			install		YELLOW
ANNOTATION.ELLIPSE.COLOR			install		YELLOW
ANNOTATION.TEXT.COLOR			 	install		YELLOW
ANNOTATION.ANGLE.COLOR				install		YELLOW
ANNOTATION.COBB.COLOR				install		YELLOW
ANNOTATION.ROI.COLOR				install		YELLOW
ANNOTATION.POINT.COLOR				install		YELLOW
ANNOTATION.SPINE.COLOR				install		YELLOW
ANNOTATION.COVER.COLOR				install		BLACK
ANNOTATION.CALIBRATE.COLOR			install		YELLOW

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.GENERAL.THICKNESS
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Default thickness of all annotation tools
#					Site configurable only
# CONTEXT:			-
# RANGE OF VALUES:	1, 3, 5, 9, 13, 17
# SUGGESTED DEFAULT: 3
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.GENERAL.THICKNESS			install		1

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.<tool>.THICKNESS
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Default thickness of an annotation tool
# CONTEXT:			-
# RANGE OF VALUES:	1, 3, 5, 9, 13, 17 
# SUGGESTED DEFAULT: 3
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.THICKNESS			install		1
ANNOTATION.DISTANCE.THICKNESS			install		1
ANNOTATION.ELLIPSE.THICKNESS			install		1
ANNOTATION.ANGLE.THICKNESS			install		1
ANNOTATION.COBB.THICKNESS			install		1



#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.GENERAL.FONT_SIZE
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Default font size selections allow the user to apply certain font size to annotation
#					object for all tools.
#                   Site Configurable only
# CONTEXT:			-
# RANGE OF VALUES:	8,9,10,12,14,16,20,24,32,36,48,72 
# SUGGESTED DEFAULT: 14
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.GENERAL.FONT_SIZE			install		14

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.<tool>.FONT_SIZE
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Default font size selections allow the user to apply certain font size
#                   to annotation object for all tools
# CONTEXT:			-
# RANGE OF VALUES:	8,9,10,12,14,16,20,24,32,36,48,72 
# SUGGESTED DEFAULT: 14
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.FONT_SIZE		install		14
ANNOTATION.DISTANCE.FONT_SIZE		install		14
ANNOTATION.ELLIPSE.FONT_SIZE		install		14
ANNOTATION.TEXT.FONT_SIZE		install		14
ANNOTATION.ANGLE.FONT_SIZE		install		14
ANNOTATION.COBB.FONT_SIZE		install		14
ANNOTATION.ROI.FONT_SIZE		install		14
ANNOTATION.POINT.FONT_SIZE		install		14
ANNOTATION.SPINE.FONT_SIZE		install		14
ANNOTATION.COVER.FONT_SIZE		install		14
ANNOTATION.CALIBRATE.FONT_SIZE	install		14


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.GENERAL.SCOPE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Default sharing scope for all mark type annotation tools
#					Site configurable only
# CONTEXT:			-
# RANGE OF VALUES:	IMAGE
#					SELECTED_IMAGES
#					SERIES
# SUGGESTED DEFAULT: IMAGE
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.GENERAL.SCOPE		install		IMAGE

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.<tool>.SCOPE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Default sharing scope for an annotation tool
# CONTEXT:			-
# RANGE OF VALUES:	IMAGE
#					SELECTED_IMAGES
#					SERIES
# SUGGESTED DEFAULT: IMAGE
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.SCOPE			install		IMAGE
ANNOTATION.ELLIPSE.SCOPE		install		IMAGE
ANNOTATION.TEXT.SCOPE			install		IMAGE
ANNOTATION.SPINE.SCOPE			install		IMAGE
ANNOTATION.COVER.SCOPE			install		IMAGE
ANNOTATION.DELETE_ALL.SCOPE		install		IMAGE


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.DELETE.SCOPE_SHARED
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Deletion scope for shared annotations
# CONTEXT:			-
# RANGE OF VALUES:	ALL (all images)
#					CURRENT (current image)
# SUGGESTED DEFAULT: ALL
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.DELETE.SCOPE_SHARED	install		ALL


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.SHOW.UNABLE_TO_MODIFY_WARNING
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Show or suppress "Unable to modify study" warning
#			when annotation activity is not allowed (for example
#			for reported studies).
# CONTEXT:		user preferences configurable through GUI
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT:	YES
# EXCEPTIONS: 	       -
#----------------------------------------------------------------------------
ANNOTATION.SHOW.UNABLE_TO_MODIFY_WARNING	install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.EXTENDED_RESTRICTED_ACTIVITY
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Gives even more control to site over the persistent
#			annotations. If set to yes, it is possible not only
#			delete (temporarily) persistent annotations but
#			modify them (move, change, etc.)
# CONTEXT:		site only
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT:	NO
# EXCEPTIONS: 	       -
#----------------------------------------------------------------------------
ANNOTATION.EXTENDED_RESTRICTED_ACTIVITY		install		NO


##########################################################################################
#
#  ANNOTATIONS ARROW 


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ARROW.SHARE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Annotation arrow, current share setting for selected annotation
#                   For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	0  = not shared
#					1  = selected images within active series
#					2  = active series
# SUGGESTED DEFAULT: 0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.SHARE	install		0


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ARROW.PLACE_ARROWHEAD
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Where to place arrowhead for arrow tool
# CONTEXT:			-
# RANGE OF VALUES:	START
#					END
#					BOTH
# SUGGESTED DEFAULT: START
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.PLACE_ARROWHEAD	install		START


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ARROW.TEXT
# VARIABLE_TYPE:	string
# DESCRIPTION:		Annotation arrow, default text for arrow
#					For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	-
# SUGGESTED DEFAULT: text box
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ARROW.TEXT	install		"Type here arrow text"

##########################################################################################
#
#  ANNOTATIONS DISTANCE
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.DISTANCE.PLACE_MEASURE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Where to place measurement for linear distance tool
# CONTEXT:			-
# RANGE OF VALUES:	START
#                   END
#					
# SUGGESTED DEFAULT: START
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.DISTANCE.PLACE_MEASURE	install		START


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.DISTANCE.TYPE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		type of annotation (line style or pointer style) 
# CONTEXT:			-
# RANGE OF VALUES:	0 - line style 
#					1 - pointer style
#					
# SUGGESTED DEFAULT: 0 (line)
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.DISTANCE.TYPE	install		0



##########################################################################################
#
#  ANNOTATIONS ELLIPSE
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ELLIPSE.TEXT
# VARIABLE_TYPE:	string
# DESCRIPTION:		Annotation arrow, text for ellipse
#					For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	-
# SUGGESTED DEFAULT: text box
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ELLIPSE.TEXT		install		"Type here ellipse text"

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ELLIPSE.SHARE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Annotation ellipse, current share setting for selected annotation
#                   For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	0  = not shared
#					1  = selected images within active series
#					2  = active series
# SUGGESTED DEFAULT: 0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ELLIPSE.SHARE	install		0


##########################################################################################
#
#  ANNOTATIONS TEXT
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.TEXT.SHARE;
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Annotation text, current share setting for selected annotation
#                   For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	0  = not shared
#					1  = selected images within active series
#					2  = active series
# SUGGESTED DEFAULT: 0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.TEXT.SHARE		install		0


##########################################################################################
#
#  ANNOTATIONS SIMPLE ANGLE
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ANGLE.PLACE_MEASURE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Where to place measurement for simple angle tool
# CONTEXT:			-
# RANGE OF VALUES:	START
#					VERTEX
#					END
# SUGGESTED DEFAULT: VERTEX
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ANGLE.PLACE_MEASURE		install		VERTEX


##########################################################################################
#
#  ANNOTATIONS ELLIPTICAL ROI
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ROI.AVERAGE
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to measure average pixel intensity values within the ROI
# CONTEXT:			-
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ROI.AVERAGE		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ROI.MIN_MAX
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to display minimum and maximum pixel intensity values within the ROI
# CONTEXT:			-
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ROI.MIN_MAX		install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ROI.STD_DEV
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to measure standard deviation of intensity values within the ROI
# CONTEXT:			-
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ROI.STD_DEV		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ROI.AREA
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to measure area of the region of interest
# CONTEXT:			-
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ROI.AREA		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.ROI.PERIMETER
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to measure area of the region of interest
# CONTEXT:			-
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.ROI.PERIMETER		install		NO


##########################################################################################
#
#  ANNOTATIONS SPINE LABELING
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.SPINE.SHARE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Annotation spine labeling, current share setting for selected annotation
#                   For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	0  = not shared
#					1  = selected images within active series
#					2  = active series
# SUGGESTED DEFAULT: 0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.SPINE.SHARE		install		0


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.SPINE.TYPE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Which type of spine labeling to be added
# CONTEXT:			-
# RANGE OF VALUES:	VERTEBRAE
#                   DISK
#					
# SUGGESTED DEFAULT: VERTEBRAE
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.SPINE.TYPE	install		VERTEBRAE

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.SPINE.DIRECTION
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Direction of spine labeling to be added
# CONTEXT:			-
# RANGE OF VALUES:	HEAD_TO_FOOT
#                   FOOT_TO_HEAD
#					
# SUGGESTED DEFAULT: HEAD_TO_FOOT
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.SPINE.DIRECTION	install		HEAD_TO_FOOT

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.SPINE.NEXTLABEL
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Annotation Vertebrae Labeling
#                   For internal use only.
# CONTEXT:		-
# DEPENDENT OF:		ANNOTATION.SPINE.TYPE variable
# RANGE OF VALUES for Vertebrae type:	C1 to C7 ( e.g.: C1,C2,C3,C4,C5,C6,C7 )
#			T1 to T12
#			L1 TO L6
#			 S1
# RANGE OF VALUES for Disk type:	C1-C2,C2-C3,C3-C4,C4-C5,C5-C6,C6-C7,C7-T1,
#			T1-T2,T2-T3,T3-T4,T4-T5,T5-T6,T6-T7,T7-T8,T8-T9,T9-T10,T10-T11,T11-T12,T12-L1,
#			L1-L2,L2-L3,L3-L4,L4-L5,L5-L6,L5-S1,L6-S1
# SUGGESTED DEFAULT: C1 ( Vertebrae type ) or C1-C2 ( Disk type )
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.SPINE.NEXTLABEL	install		"C1"


##########################################################################################
#
#  ANNOTATIONS COVER
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.COVER.TEXT
# VARIABLE_TYPE:	string
# DESCRIPTION:		Annotation cover, text for cover
#					For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	-
# SUGGESTED DEFAULT: text box
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.COVER.TEXT		install		""Type here cover text""

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.COVER.SHARE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Annotation cover, current share setting for selected annotation
#                   For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	0  = not shared
#					1  = selected images within active series
#					2  = active series
# SUGGESTED DEFAULT: 0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.COVER.SHARE		install		0


##########################################################################################
#
#  ANNOTATIONS CALIBRATE
#

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.CALIBRATE.DISTANCE
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Annotation calibrate, distance
#                   For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	-
# SUGGESTED DEFAULT: 0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.CALIBRATE.DISTANCE	install		0

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ANNOTATION.CALIBRATE.UPDATE
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Annotation calibrate, update
#                   For internal use only.
# CONTEXT:			-
# RANGE OF VALUES:	-
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
ANNOTATION.CALIBRATE.UPDATE	install		NO







##########################################################################################
#
#  SCREEN LAYOUT 
#
##########################################################################################
#----------------------------------------------------------------------------
# VARIABLE_NAME:		LAYOUT.SCREEN.GENERAL 	  
# VARIABLE_TYPE:		pair of values
# DESCRIPTION:			Default screen layout for all modalities or teaching album
#                       	Site Configurable only
# CONTEXT:			
# RANGE OF VALUES:		Row Column (Range 1 to 100)
#	 
# SUGGESTED DEFAULT:    2 2
# EXCEPTIONS:       
#--------------------------------------------------------------------------
LAYOUT.SCREEN.GENERAL		install				2 2


#----------------------------------------------------------------------------
# VARIABLE_NAME:		LAYOUT.SCREEN.<modality>	  
# VARIABLE_TYPE:		pair of values
# DESCRIPTION:			Default screen layout for modality 
#							
# CONTEXT:			
# RANGE OF VALUES:		Row Column (Range 1 to 100)
#	 
# SUGGESTED DEFAULT: 		2 2
# EXCEPTIONS:       
#--------------------------------------------------------------------------
LAYOUT.SCREEN.CT				install				2 2
LAYOUT.SCREEN.MR				install				2 2
LAYOUT.SCREEN.NM				install				2 2
LAYOUT.SCREEN.CR				install				1 1
LAYOUT.SCREEN.DR				install				1 1
LAYOUT.SCREEN.MG				install				1 2
LAYOUT.SCREEN.XA				install				1 2
LAYOUT.SCREEN.RF				install				1 1
LAYOUT.SCREEN.US.STILL				install				3 2
LAYOUT.SCREEN.US.				install				3 3
LAYOUT.SCREEN.DX				install				1 1
LAYOUT.SCREEN.VL				install				1 1
LAYOUT.SCREEN.ES				install				2 2


##########################################################################################
#
#  SCREEN LAYOUT MENU
#
##########################################################################################
#----------------------------------------------------------------------------
# VARIABLE_NAME:		LAYOUT.SCREEN.MENU.GENERAL 	  
# VARIABLE_TYPE:		pair of values
# DESCRIPTION:			Default screen layout menu for all modalities or teaching album
#
# CONTEXT:			
# RANGE OF VALUES:		1x1 ... 10x10
#	 
# SUGGESTED DEFAULT:    	"1x1" "1x2" 
# EXCEPTIONS:       
#--------------------------------------------------------------------------
LAYOUT.SCREEN.MENU.GENERAL 	install		"1x1" "1x2" 

#----------------------------------------------------------------------------
# VARIABLE_NAME:		LAYOUT.SCREEN.MENU.<modality>	  
# VARIABLE_TYPE:		pair of values
# DESCRIPTION:			Default screen layout for modality 
#                       	For internal use only.
#							
# CONTEXT:			
# RANGE OF VALUES:		1x1 ... 10x10
#	 
# SUGGESTED DEFAULT: 		
# EXCEPTIONS:       
#--------------------------------------------------------------------------
LAYOUT.SCREEN.MENU.CT		install		"1x1" "1x2" "2x2"
LAYOUT.SCREEN.MENU.MR		install		"1x1" "1x2" "2x2"
LAYOUT.SCREEN.MENU.RF		install		"1x1" "1x2" "2x2"
LAYOUT.SCREEN.MENU.XA		install		"1x1" "1x2" "2x2"
LAYOUT.SCREEN.MENU.MG		install		"1x1" "1x2" "2x2"
LAYOUT.SCREEN.MENU.OT		install		"1x1" "1x2" "2x2"
LAYOUT.SCREEN.MENU.SC		install		"1x1" "1x2" "2x2"
LAYOUT.SCREEN.MENU.NM		install		"1x1" "2x2" "3x3"
LAYOUT.SCREEN.MENU.PT		install		"1x1" "2x2" "3x3"
LAYOUT.SCREEN.MENU.US		install		"1x1" "1x2" 
LAYOUT.SCREEN.MENU.CR		install		"1x1" "1x2" 
LAYOUT.SCREEN.MENU.DR		install		"1x1" "1x2" 


##########################################################################################
#
#  VIEWPORT LAYOUT MENU
#
##########################################################################################
#----------------------------------------------------------------------------
# VARIABLE_NAME:		LAYOUT.VIEWPORT.MENU.GENERAL 	  
# VARIABLE_TYPE:		pair of values
# DESCRIPTION:			Default viewport layout menu for all modalities or teaching album
#
# CONTEXT:			
# RANGE OF VALUES:		1x1 ... 10x10
#	 
# SUGGESTED DEFAULT:    	"1x1" "1x2" 
# EXCEPTIONS:       
#--------------------------------------------------------------------------
LAYOUT.VIEWPORT.MENU.GENERAL 	install		"1x1" "1x2" 


#----------------------------------------------------------------------------
# VARIABLE_NAME:		LAYOUT.VIEWPORT.MENU.<modality>	  
# VARIABLE_TYPE:		pair of values
# DESCRIPTION:			Default viewport layout for modality 
#                       	For internal use only.
#							
# CONTEXT:			
# RANGE OF VALUES:		1x1 ... 10x10
#	 
# SUGGESTED DEFAULT: 		
# EXCEPTIONS:       
#--------------------------------------------------------------------------
LAYOUT.VIEWPORT.MENU.CT		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.MR		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.RF		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.MG		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.OT		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.SC		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.NM		install		"1x1" "2x2" 
LAYOUT.VIEWPORT.MENU.PT		install		"1x1" "2x2" 
LAYOUT.VIEWPORT.MENU.CR		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.DR		install		"1x1" "1x2" 
LAYOUT.VIEWPORT.MENU.US		install		"1x1" "1x2" "2x2" "3x3"


##########################################################################################
#
#  ZOOM  
#
##########################################################################################

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Zoom.Sensitivity
# VARIABLE_TYPE:     double
# DESCRIPTION:       Default sensitivity for interactive zoom mapped on mouse move
#					 1.0 = 10% for every mouse move, 1.5 = 15% for every mouse move ...
# RANGE OF VALUES:   positive number (1 decimal point)
# SUGGESTED DEFAULT: 1.0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Zoom.Sensitivity    INSTALL	1.0



#----------------------------------------------------------------------------
# VARIABLE_NAME:     Zoom.WheelSensitivity
# VARIABLE_TYPE:     double
# DESCRIPTION:       Default sensitivity for interactive Zoom mapped on Wheel Scroll
#                    1.0 = 10% for every wheel scroll, 1.5 = 15% for every wheel scroll ...
# RANGE OF VALUES:   positive number (1 decimal point)
# SUGGESTED DEFAULT: 3.0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Zoom.WheelSensitivity    INSTALL	3.0


#----------------------------------------------------------------------------
# VARIABLE_NAME:     Zoom.Scope.GENERAL
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default scope to apply Zoom values
# RANGE OF VALUES:   - SELECTED_IMAGES
#                    - SELECTED_SERIES
#                    - VISIBLE_SERIES
# SUGGESTED DEFAULT: SELECTED_IMAGES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Zoom.Scope.GENERAL    INSTALL	SELECTED_IMAGES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Zoom.Scope.<modality>
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default scope to apply Zoom values to a particular modality.  Refer to
#                    General.Modality_List for available modalities
# RANGE OF VALUES:   - SELECTED_IMAGES
#                    - SELECTED_SERIES
#                    - VISIBLE_SERIES
# SUGGESTED DEFAULT: -
# EXCEPTIONS:        -
#----------------------------------------------------------------------------

Zoom.Scope.CR		INSTALL		SELECTED_IMAGES
Zoom.Scope.CT		INSTALL		SELECTED_SERIES
Zoom.Scope.DR		INSTALL		SELECTED_IMAGES
Zoom.Scope.MG		INSTALL		SELECTED_IMAGES
Zoom.Scope.MR		INSTALL		SELECTED_SERIES
Zoom.Scope.NM		INSTALL		SELECTED_SERIES
Zoom.Scope.RF		INSTALL		SELECTED_IMAGES
Zoom.Scope.OT		INSTALL		SELECTED_IMAGES
Zoom.Scope.PT		INSTALL		SELECTED_SERIES
Zoom.Scope.SC		INSTALL		SELECTED_IMAGES
Zoom.Scope.US		INSTALL		SELECTED_IMAGES
Zoom.Scope.XA		INSTALL		SELECTED_IMAGES



##########################################################################################
#
#  PAN 
#
##########################################################################################

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Pan.Sensitivity
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Default sensitivity for Pan
# RANGE OF VALUES:   int
# SUGGESTED DEFAULT: 1
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Pan.Sensitivity    INSTALL	1


##########################################################################################
#
#  CALIBRATION
#
##########################################################################################
#----------------------------------------------------------------------------
# VARIABLE_NAME:	CALIBRATION.MEASURE_UNIT
# VARIABLE_TYPE:	string
# DESCRIPTION:		Measurement unit for calibration
#                   
# CONTEXT:		-
# RANGE OF VALUES:	cm, inch
# SUGGESTED DEFAULT: 	cm
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
CALIBRATION.MEASURE_UNIT install cm


##########################################################################################
#
#  Post Processing Algorithms Scope
#
##########################################################################################

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Post_Processing.Scope.GENERAL
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default scope to apply Post algorithms
# RANGE OF VALUES:   - SELECTED_IMAGES
#                    - SELECTED_SERIES
#                    - VISIBLE_SERIES
# SUGGESTED DEFAULT: SELECTED_IMAGES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Post_Processing.Scope.GENERAL    INSTALL	SELECTED_IMAGES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Post_Processing.Scope.<modality>
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default scope to apply Post values to a particular modality.  Refer to
#                    General.Modality_List for available modalities
# RANGE OF VALUES:   - SELECTED_IMAGES
#                    - SELECTED_SERIES
#                    - VISIBLE_SERIES
# SUGGESTED DEFAULT: -
# EXCEPTIONS:        -
#----------------------------------------------------------------------------

Post_Processing.Scope.CR	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.CT	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.DR	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.MG	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.MR	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.NM	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.RF	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.OT	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.PT	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.SC	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.US	INSTALL		SELECTED_IMAGES
Post_Processing.Scope.XA	INSTALL		SELECTED_IMAGES


##########################################################################################
#
#  MAGIC GLASS 
#
##########################################################################################

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Magnifying_Glass.WL_Option
# VARIABLE_TYPE:     string
# DESCRIPTION:       Whether magnifying glass will use estimate w/l, or just using image's w/l
# RANGE OF VALUES:   ESTIMATE, IMAGE
# SUGGESTED DEFAULT: ESTIMATE
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Magnifying_Glass.WL_Option    INSTALL	ESTIMATE


#----------------------------------------------------------------------------
# VARIABLE_NAME:     Magnifying_Glass.Multiplier
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Default/last saved magnifying glass multiplier (for magnification)
# RANGE OF VALUES:   1 t0 10
# SUGGESTED DEFAULT: 2
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Magnifying_Glass.Multiplier    INSTALL	2


#----------------------------------------------------------------------------
# VARIABLE_NAME:     Magnifying_Glass.ZoomSliderSensitivity 
# VARIABLE_TYPE:     double
# DESCRIPTION:       Sensitivity for Zoom Factor
# RANGE OF VALUES:   > 0.6
# SUGGESTED DEFAULT: 0.85
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Magnifying_Glass.ZoomSliderSensitivity     INSTALL	0.85


#----------------------------------------------------------------------------
# VARIABLE_NAME:     Magnifying_Glass.Size
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Default magnifying glass size per user (in mm)
# RANGE OF VALUES:   width height
# SUGGESTED DEFAULT: 30 30 
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Magnifying_Glass.Size  INSTALL	30 30 

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Magnifying_Glass.Min_Size
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Minimum magnifying glass size per user (in mm)
# RANGE OF VALUES:   width height
# SUGGESTED DEFAULT: 30 30 
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Magnifying_Glass.Min_Size  INSTALL	30 30 

#----------------------------------------------------------------------------
# VARIABLE_NAME:     Magnifying_Glass.BoundingRectangle
# VARIABLE_TYPE:     integer
# DESCRIPTION:       Limit magnifying glass movements to within a bounding rectangle.
# RANGE OF VALUES:   0 = Limit magnifying glass movement to within virtual screen bounds.
#					 1 = Limit magnifying glass movement to within current monitor bounds.
#					 2 = Do not limit magnifying glass movement.
# SUGGESTED DEFAULT: 0
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
Magnifying_Glass.BoundingRectangle  INSTALL  0


#----------------------------------------------------------------------------
# VARIABLE_NAME:	BOOKMARK.SAVE.CREATE_STUDY_PRESENTATION
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to create study presentation when saving bookmark (per user)
# CONTEXT:			-
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
BOOKMARK.SAVE.CREATE_STUDY_PRESENTATION		install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	BOOKMARK.LOAD.FILTER
# VARIABLE_TYPE:	enumerated types
# DESCRIPTION:		User last selection for load bookmark filtering list
# CONTEXT:			-
# RANGE OF VALUES:	LAST5
#                   LAST10
#                   LAST20
#					ALL
# SUGGESTED DEFAULT: ALL
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
BOOKMARK.LOAD.FILTER		install		ALL

#----------------------------------------------------------------------------
# VARIABLE_NAME:	BOOKMARK.LOAD.PRESENTATION_OPTION
# VARIABLE_TYPE:	integer
# DESCRIPTION:		User last selection in warning dialog for unsaved presentation
# CONTEXT:			-
# RANGE OF VALUES:	ALL
#					ANNOTATION
#					DISCARD
# SUGGESTED DEFAULT: ALL
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
BOOKMARK.LOAD.PRESENTATION_OPTION		install		ALL

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.SAVE.ANNOTATION
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to save persistent annotation changes when saving study presentation for the user
# CONTEXT:			save study presentation
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.SAVE.ANNOTATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.SAVE.STYLE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Whether to save current image style (ROI, W/L, and orientation) and the option of
#                   saving it for the user
# CONTEXT:			save study presentation
# RANGE OF VALUES:	NOT (do not save style)
#					MANUAL (save style for images with manual style changes)
#					ALL (save style for all images that have been viewed)
# SUGGESTED DEFAULT: MANUAL
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.SAVE.STYLE	install		MANUAL

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.SAVE.RESTRICT_STUDY_STATUS_LIST
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Restrict save study presentation to studies of certain statuses when study 
#                   changes status to.
#					This variable defines whether or not a presentation should be saved on status change.  
#					In the case of closing studies AND changing status this variable will override the 
#					prompt asking the user if presentations should be saved.  Please note: That prompt 
#					is also configurable by another variable (see: STUDYPRESENTATION.STUDY_CLOSE_OPTION)
# CONTEXT:			save study presentation
# RANGE OF VALUES:	Any study status (IN-PROGRESS, SCHEDULED, PERFORMED, REPORTED, DICTATED, REVIEWED, OVERREAD, TRANSCRIBED)
#					
# SUGGESTED DEFAULT: REPORTED DICTATED REVIEWED OVERREAD
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.SAVE.RESTRICT_STUDY_STATUS_LIST	install		REPORTED DICTATED REVIEWED OVERREAD

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.LOAD.SCOPE
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Scope to apply the loaded study presentation for the user
# CONTEXT:			load study presentation
# RANGE OF VALUES:	STUDY ( entire active study)
#					SERIES (selected series for active study)
# SUGGESTED DEFAULT: STUDY
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.LOAD.SCOPE	install		STUDY

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.LOAD.ANNOTATION
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to load annotation when loading the study presentation for the user
# CONTEXT:			load study presentation
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.LOAD.ANNOTATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.LOAD.ROI
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to load ROI when loading study presentation for the user
# CONTEXT:			load study presentation
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.LOAD.ROI	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.LOAD.WL
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to load window/level when loading the study presentation for the user
# CONTEXT:			load study presentation
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.LOAD.WL	install YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.LOAD.ORIENTATION
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to load orientation when loading the study presentation for the user
# CONTEXT:			load study presentation
# RANGE OF VALUES:	 YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.LOAD.ORIENTATION	install YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.LOAD.FILTER
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		Last used filter for loading study presentation for the user
# CONTEXT:			load study presentation
# RANGE OF VALUES:	LAST5
#					LAST10
#					LAST20
#					ALL
# SUGGESTED DEFAULT: ALL
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.LOAD.FILTER	install		ALL

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.STUDY_CLOSE_OPTION
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		When the user close the study, how to handle study presentation
#                   
# CONTEXT:			save study presentation
# RANGE OF VALUES:	NOSAVE – do not save presentation changes
#					ASK – ask me if I want to save presentation changes
#					AUTOSAVE – automatically save all presentation changes
# SUGGESTED DEFAULT: ASK
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.STUDY_CLOSE_OPTION	install		ASK

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYPRESENTATION.STUDY_CLOSE_OPTION.DISCARD_AGE
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Used only in conjunction with STUDYPRESENTATION.STUDY_CLOSE_OPTION
#					If STUDYPRESENTATION.STUDY_CLOSE_OPTION is AUTOSAVE then this config variable determines
#					the age(in days) after which the study presentation(style) for a study will be discarded.
#					The study must be stricly older to have its study presentation(style) discarded.
#                     - Site Configurable only
#                   
# CONTEXT:			save study presentation
# RANGE OF VALUES:	1 to maximum integer value
# SUGGESTED DEFAULT: 30
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYPRESENTATION.STUDY_CLOSE_OPTION.DISCARD_AGE	install		30


#----------------------------------------------------------------------------
# VARIABLE_NAME:		LINKING.PRECISE.DONE_AFTER_TWO_POINTS
# VARIABLE_TYPE:		boolean
# DESCRIPTION:		Option that controls precise registration completion.
# CONTEXT:			-
# RANGE OF VALUES:	YES - automatically complete process of precise registration after two points
#					are defined
#				NO - user has to specify when precise registration should be completed
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.PRECISE.DONE_AFTER_TWO_POINTS	install	NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		LINKING.QUICK.DISTANCE_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:          A threshold in millimeters that specifies the diameter of sphere for candidate points
#                       used during quick registration			
# CONTEXT:			-
# RANGE OF VALUES:      0 - 250 (mm)
# SUGGESTED DEFAULT: 	10
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.QUICK.DISTANCE_THRESHOLD	install	10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		LINKING.DISTANCE_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:          A threshold in millimeters that specifies the distance of nearest slice to the target point
#                       used in linked srolling.
#                       Site Configurable only
# CONTEXT:			-
# RANGE OF VALUES:      0 - 250 (mm)
# SUGGESTED DEFAULT: 	100
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.DISTANCE_THRESHOLD	install	100


#----------------------------------------------------------------------------
# VARIABLE_NAME:		LINKING.JUMBLE_SEQUENCE_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:          The entire sequence is considered too jumbled if any two successively
#                       acquired slices have angles greater than this threshold.
#                       Site configurable only
# CONTEXT:			-
# RANGE OF VALUES:      0 - 180 (degrees)
# SUGGESTED DEFAULT:    80
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.JUMBLE_SEQUENCE_THRESHOLD	install	80


#----------------------------------------------------------------------------
# VARIABLE_NAME:		LINKING.PATH_CORRELATION_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:          A threshold that specifies the maximum allowed angle between 
#                       candidate nearest slice and scrolled slice.			
#                       Site configurable only
# CONTEXT:			-
# RANGE OF VALUES:      0 - 90 in degrees
# SUGGESTED DEFAULT: 	25
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.PATH_CORRELATION_THRESHOLD	install	25


#----------------------------------------------------------------------------
# VARIABLE_NAME:		LINKING.VIEWING_ANGLE_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:          A threshold that specifies the maximum allowed viewing angle between 
#                       slices being scrolled by the user.			
# CONTEXT:			-
# RANGE OF VALUES:      0 - 180 in degrees
# SUGGESTED DEFAULT: 	180
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.VIEWING_ANGLE_THRESHOLD	install	180

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDYLIST.NOTIFY_METHOD
# VARIABLE_TYPE:		integer(enum)
# DESCRIPTION:			Method to notify users of various study list events   
#							
# CONTEXT:			-
# RANGE OF VALUES:		DIALOG,EMAIL
# SUGGESTED DEFAULT: 	DIALOG
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDYLIST.NOTIFY_METHOD	install	DIALOG

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYLIST.STAT.FROM_ADDRESS
# VARIABLE_TYPE:	String
# DESCRIPTION:		Address of the sender (email "from" field) of stat automatically generated email
# CONTEXT:		Site configurable only
# SUGGESTED DEFAULT: MIG.StatNotify@McKesson.com
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYLIST.STAT.FROM_ADDRESS install "MIG.StatNotify@McKesson.com"

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYLIST.STAT.FAILURE_ADDRESSS
# VARIABLE_TYPE:	String
# DESCRIPTION:		Address to send email in case mail error for the stat study notification mail
# CONTEXT:		Site configurable only
# SUGGESTED DEFAULT: MIG.StudyNotifyFailure@McKesson.com
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYLIST.STAT.FAILURE_ADDRESSS install "MIG.StudyNotifyFailure@McKesson.com"

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDYLIST.NOTIFY_EMAIL
# VARIABLE_TYPE:	String
# DESCRIPTION:		Email Address
# CONTEXT:			-
# SUGGESTED DEFAULT: None
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDYLIST.NOTIFY_EMAIL	install	""

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDYLIST.STAT.OPTION
# VARIABLE_TYPE:		integer(enum)
# DESCRIPTION:			option indication whether the stat study alert is enabled(active) or not  
#							
# CONTEXT:			-
# RANGE OF VALUES:		NEVER
#                       STUDYLIST (alert on Stat Study in study list)
#                       ANY (alert on any Stat Study)
# SUGGESTED DEFAULT: 	STUDYLIST
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDYLIST.STAT.OPTION	install	NEVER

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDYLIST.<User Type>.STAT.OPTION	  
# VARIABLE_TYPE:		string
# DESCRIPTION:			Option indication whether the stat study alert is enabled (active) or not for a particular role. 
#                               Site Configurable only. 
#                               <User Type> can be one of REPORTING_USER, PERFORMING_USER and OTHER_USER. 
#
# RANGE OF VALUES:	NEVER
#                       STUDYLIST (alert on Stat Study in study list)
#                       ANY (alert on any Stat Study)
#
# SUGGESTED DEFAULT: 	REPORTING_USER  – STUDYLIST
#                       PERFORMING_USER - NEVER
#                       OTHER_USER      - NEVER
#
#----------------------------------------------------------------------------
STUDYLIST.REPORTING_USER.STAT.OPTION  install STUDYLIST
STUDYLIST.PERFORMING_USER.STAT.OPTION install NEVER
STUDYLIST.OTHER_USER.STAT.OPTION      install NEVER

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDYLIST.DEFAULT	  
# VARIABLE_TYPE:		string
# DESCRIPTION:			Default study list for the user
#							
# CONTEXT:			
# RANGE OF VALUES:      UNREPORTED
#                       SCHEDULED
#                       RECENT_PERFORMED
#                       RECENT_REPORTED
#                       OVERREAD
#                       DICTATED
#                       TRANSCRIBED
#                       FOLDER_FINDER
#	 
# SUGGESTED DEFAULT: 	UNREPORTED
# EXCEPTIONS:       
#--------------------------------------------------------------------------
STUDYLIST.DEFAULT		install		UNREPORTED

#----------------------------------------------------------------------------
# VARIABLE_NAME:		HRSD.STUDYLIST.DEFAULT	  
# VARIABLE_TYPE:		string
# DESCRIPTION:			Default study list for the user
#							
# CONTEXT:			
# RANGE OF VALUES:      UNREPORTED
#                       SCHEDULED
#                       RECENT_PERFORMED
#                       RECENT_REPORTED
#                       OVERREAD
#                       DICTATED
#                       TRANSCRIBED
#                       FOLDER_FINDER
#			RECENT_OPENED
#	 
# SUGGESTED DEFAULT: 	UNREPORTED
# EXCEPTIONS:       
#--------------------------------------------------------------------------
HRSD.STUDYLIST.DEFAULT		install		UNREPORTED

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDYLIST.<User Type>	  
# VARIABLE_TYPE:		string
# DESCRIPTION:			Default study list for a user with a specific list of activities.
#                               Overwritten by STUDYLIST.DEFAULT. Base and Site configurable only.
#                               <User Type> can be one of REPORTING_USER, PERFORMING_USER and OTHER_USER.
#
# ACCEPTABLE VALUES:	UNREPORTED
#			SCHEDULED
#			RECENT_PERFORMED
#			RECENT_REPORTED
#			OVERREAD
#			DICTATED
#			TRANSCRIBED
#			FOLDER_FINDER
#
# SUGGESTED DEFAULT: 	REPORTING_USER  – UNREPORTED
#                       PERFORMING_USER - SCHEDULED
#                       OTHER_USER      - RECENTLY_PERFORMED
#
#----------------------------------------------------------------------------
STUDYLIST.REPORTING_USER  install UNREPORTED
STUDYLIST.PERFORMING_USER install SCHEDULED
STUDYLIST.OTHER_USER      install RECENTLY_PERFORMED

#----------------------------------------------------------------------------
# VARIABLE_NAME:		SAL.NEW_IMAGE_REFRESH_PERIOD
# VARIABLE_TYPE:		integer
# DESCRIPTION:			the refresh period for polling for new images  
#                       For internal use only.
#							
# CONTEXT:			-
# RANGE OF VALUES:		0..max integer value; the period is in seconds; 0 means no polling for new image 
# SUGGESTED DEFAULT: 		120 (2 minutes)
# EXCEPTIONS:       
#----------------------------------------------------------------------------
SAL.NEW_IMAGE_REFRESH_PERIOD	install	120

#----------------------------------------------------------------------------
# VARIABLE_NAME:		SAL.STUDY_STATUS_REFRESH_PERIOD
# VARIABLE_TYPE:		integer
# DESCRIPTION:			the refresh period for polling for study status change  
#                       For internal use only.
#							
# CONTEXT:			-
# RANGE OF VALUES:		0..max integer value; the period is in seconds; 0 means no polling for new image 
# SUGGESTED DEFAULT: 		120 (2 minutes)
# EXCEPTIONS:       
#----------------------------------------------------------------------------
SAL.STUDY_STATUS_REFRESH_PERIOD	install	120

#----------------------------------------------------------------------------
# VARIABLE_NAME:		SAL.SUBSCRIPTION_ELIGIBILITY_AGE_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:	The age threshold for study subscription
# If the difference in days between the current date and study performed date is 
# less than this value then the study is subscribed to list containing studies
# which are checked for new images.  
#                       For internal use only.
#							
# CONTEXT:			-
# RANGE OF VALUES:		1..max integer value; the period is in days; 
# SUGGESTED DEFAULT: 		7(days)
# EXCEPTIONS:       
#----------------------------------------------------------------------------
SAL.SUBSCRIPTION_ELIGIBILITY_AGE_TRESHOLD install 7

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_LIST.NO_STUDY.OPTION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Default behavior of study list when there is no study opened
#							
# CONTEXT:			-
# RANGE OF VALUES:		AUTOOPEN (auto open next study in default study list), 
#                       STUDYLIST (show default study list), 
#                       NONE (do nothing)
# SUGGESTED DEFAULT: 	AUTOOPEN
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDY_LIST.NO_STUDY.OPTION	install	STUDYLIST

#----------------------------------------------------------------------------
# CINE TOOL CONFIGURATION VARIABLES
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.OPTIMIZATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			YES = cine play in reduced mode (no annotations, no overlays, zoom 100%, no LUT for color images)
#						NO = normal mode	
# CONTEXT:			
# RANGE OF VALUES:		YES/NO
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.OPTIMIZATION	install	YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.NON_NATIVE.FULL_SPEED_FPS
# VARIABLE_TYPE:		float
# DESCRIPTION:			the default full playback speed for non-native cine sequence (fps)
#							
# CONTEXT:			
# RANGE OF VALUES:		0 - 60 
# SUGGESTED DEFAULT: 	20
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.NON_NATIVE.FULL_SPEED_FPS	install	20

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.NATIVE.FULL_SPEED_FPS
# VARIABLE_TYPE:		float
# DESCRIPTION:			the default full playback speed for native cine sequence (fps)
#							
# CONTEXT:			
# RANGE OF VALUES:		0 - 60  
# SUGGESTED DEFAULT: 	30
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.NATIVE.FULL_SPEED_FPS	install	30


#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.PLAYBACK_MODE.<modality>  
# VARIABLE_TYPE:		integer(enum)
# DESCRIPTION:          Default cine playback mode for a modality
#							
# CONTEXT:			
# RANGE OF VALUES:	LOOP
#                   ONCE
#                   WAVE
#	 
# SUGGESTED DEFAULT: CR (LOOP)
#                    DR (LOOP)
#                    DX (LOOP)
#                    CT (WAVE)
#                    MR (WAVE)
#                    MG (LOOP)
#                    NM (LOOP)
#                    RF (LOOP)
#                    US (LOOP)
#                    XA (LOOP)
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.PLAYBACK_MODE.CR	install	LOOP
CINE.PLAYBACK_MODE.DR	install	LOOP
CINE.PLAYBACK_MODE.DX	install	LOOP 
CINE.PLAYBACK_MODE.CT	install	WAVE 
CINE.PLAYBACK_MODE.MR	install	WAVE
CINE.PLAYBACK_MODE.MG  	install	LOOP 
CINE.PLAYBACK_MODE.NM 	install	LOOP
CINE.PLAYBACK_MODE.RF 	install	LOOP 
CINE.PLAYBACK_MODE.US	install	LOOP  
CINE.PLAYBACK_MODE.XA  	install	LOOP  

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.PLAYBACK_SPEED.<modality>
# VARIABLE_TYPE:		string
# DESCRIPTION:		    Default cine mode playback speed for a modality
#                       Refer to General.Modality_List for available modalities
#							
# CONTEXT:			
# RANGE OF VALUES:		FULL, HALF, QUARTER 
# SUGGESTED DEFAULT: 	 CR : QUARTER
#                        DR : QUARTER
#                        DX : QUARTER
#                        CT : QUARTER
#                        MR : QUARTER
#                        MG : QUARTER
#                        NM : HALF
#                        RF : HALF
#                        US : FULL
#                        XA : FULL
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.PLAYBACK_SPEED.CR	install	QUARTER
CINE.PLAYBACK_SPEED.DR	install	QUARTER
CINE.PLAYBACK_SPEED.DX	install	QUARTER
CINE.PLAYBACK_SPEED.CT	install	QUARTER
CINE.PLAYBACK_SPEED.MR	install	QUARTER
CINE.PLAYBACK_SPEED.MG	install	QUARTER
CINE.PLAYBACK_SPEED.NM	install	HALF
CINE.PLAYBACK_SPEED.RF	install	HALF
CINE.PLAYBACK_SPEED.US	install	FULL
CINE.PLAYBACK_SPEED.XA	install	FULL

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.PLAYBACK_MODE.GENERAL  
# VARIABLE_TYPE:		integer(enum)
# DESCRIPTION:          	Default cine playback mode for all modalities unless 
#				overwritten specifically by each modality Site configurable only
#							
# CONTEXT:			
# RANGE OF VALUES:		LOOP
#                   		ONCE
#                   		WAVE
#	 
# SUGGESTED DEFAULT: 		LOOP
#	 
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.PLAYBACK_MODE.GENERAL	install	LOOP

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.PLAYBACK_SPEED.GENERAL  
# VARIABLE_TYPE:		integer(enum)
# DESCRIPTION:          	Default cine playback speed for all modalities unless 
#				overwritten specifically by each modality Site configurable only
#							
# CONTEXT:			
# RANGE OF VALUES:		QUARTER
#                   		HALF
#                   		FULL
#	 
# SUGGESTED DEFAULT: 		QUARTER
#	 
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.PLAYBACK_SPEED.GENERAL	install	QUARTER

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.MIN_SAMPLING_INTERVAL_FOR_BUFFERING
# VARIABLE_TYPE:		float
# DESCRIPTION:			Defines min sampling interval for calculating buffering parameters.
#						For fast networks smaller value gives shorter buffering
#							
# CONTEXT:			
# RANGE OF VALUES:		0.2 - 1 (in seconds)
# SUGGESTED DEFAULT: 	0.2
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.MIN_SAMPLING_INTERVAL_FOR_BUFFERING	install	0.2

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.MAX_SAMPLING_INTERVAL_FOR_BUFFERING
# VARIABLE_TYPE:		float
# DESCRIPTION:			Defines max sampling interval for calculating buffering parameters.
#						For slow networks greater value gives better buffering and smooter playing.
#							
# CONTEXT:			
# RANGE OF VALUES:		2 - 5 (in seconds)
# SUGGESTED DEFAULT: 	2
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.MAX_SAMPLING_INTERVAL_FOR_BUFFERING	install	2

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.MIN_PLAYING_DURATION
# VARIABLE_TYPE:		float
# DESCRIPTION:			Defines minimal playing duration used for calculating buffering parameters.
#						Greater value means longer frames for buffering.
#							
# CONTEXT:			
# RANGE OF VALUES:		2 - 5 (in seconds)
# SUGGESTED DEFAULT: 	3
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.MIN_PLAYING_DURATION	install	3

#----------------------------------------------------------------------------
# VARIABLE_NAME:		CINE.MAX_PLAYING_DURATION
# VARIABLE_TYPE:		float
# DESCRIPTION:			Defines maximal playing duration used for calculating buffering parameters.
#						It limits numer of frames for buffering.
#						THIS VALUE HAS TO BE GREATER THAN MIN_PLAYING_DURATION
#							
# CONTEXT:			
# RANGE OF VALUES:		> MIN_PLAYING_DURATION (in seconds)
# SUGGESTED DEFAULT: 	10
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CINE.MAX_PLAYING_DURATION	install	10

#----------------------------------------------------------------------------
# VARIABLE_NAME:	IMAGE_VIEWPORT.FLAG_LOCATION.GENERAL
# VARIABLE_TYPE:	integer(enum)
# DESCRIPTION:		Default location of flag and image selection indicators on image viewport for all
#					modalities unless overwritten specifically by each modality.
#                   Site configurable only.
# CONTEXT:			
# RANGE OF VALUES:	BOTTOM_LEFT
#					TOP_LEFT
#					TOP_RIGHT
#					BOTTOM_RIGHT
#	 
# SUGGESTED DEFAULT: 	BOTTOM_LEFT
# EXCEPTIONS:       
#----------------------------------------------------------------------------
IMAGE_VIEWPORT.FLAG_LOCATION.GENERAL  	install	BOTTOM_LEFT

#----------------------------------------------------------------------------
# VARIABLE_NAME:	IMAGE_VIEWPORT.FLAG_LOCATION.<modality>
# VARIABLE_TYPE:	integer(enum)
# DESCRIPTION:		Default location of flag and image selection indicators on image viewport for all
#					modalities.  Refer to General.Modality_list for available modalities.
#                   Site configurable only.
# CONTEXT:			
# RANGE OF VALUES:	BOTTOM_LEFT
#					TOP_LEFT
#					TOP_RIGHT
#					BOTTOM_RIGHT
#	 
# SUGGESTED DEFAULT: 	BOTTOM_LEFT
# EXCEPTIONS:       
#----------------------------------------------------------------------------
IMAGE_VIEWPORT.FLAG_LOCATION.MR  	install	BOTTOM_LEFT
IMAGE_VIEWPORT.FLAG_LOCATION.NM  	install	BOTTOM_LEFT 
IMAGE_VIEWPORT.FLAG_LOCATION.US  	install	BOTTOM_LEFT 
IMAGE_VIEWPORT.FLAG_LOCATION.XA  	install	BOTTOM_LEFT  
IMAGE_VIEWPORT.FLAG_LOCATION.RF  	install	BOTTOM_LEFT  
IMAGE_VIEWPORT.FLAG_LOCATION.MG  	install	BOTTOM_LEFT  
IMAGE_VIEWPORT.FLAG_LOCATION.CR  	install	BOTTOM_LEFT  
IMAGE_VIEWPORT.FLAG_LOCATION.CT  	install	BOTTOM_LEFT  

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CROSS_REFERENCE_LINES.OPTION 	  
# VARIABLE_TYPE:	integer(enum)
# DESCRIPTION:		Specifies what cross-reference lines are displayed
#							
# CONTEXT:			
# RANGE OF VALUES:	CURRENT
#                   ALL
#                   HIDE
#	 
# SUGGESTED DEFAULT: 	CURRENT
# EXCEPTIONS:       
#--------------------------------------------------------------------------
CROSS_REFERENCE_LINES.OPTION  	install	CURRENT

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CROSS_REFERENCE_LINES.ANGLE_THRESHOLD
# VARIABLE_TYPE:	integer
# DESCRIPTION:		A threshold that specifies the minimum allowed viewing angle between 
#					slices for displaying cross-reference lines.
#					Site configurable only.			
# CONTEXT:			-
# RANGE OF VALUES:	0 - 180 in degrees
# SUGGESTED DEFAULT: 	40
# EXCEPTIONS:       
#----------------------------------------------------------------------------
CROSS_REFERENCE_LINES.ANGLE_THRESHOLD	install	40

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CROSS_REFERENCE_LINES.ALI_COLOR_REFLINES_CURRENT
# VARIABLE_TYPE:	array of integer (RGB value)(0 - 255)
# DESCRIPTION:		color for current slice cross-reference lines
#                   Site configurable only.
#
# SUGGESTED DEFAULT: 255 255 0 (yellow)
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
CROSS_REFERENCE_LINES.ALI_COLOR_REFLINES_CURRENT	install		255 255 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CROSS_REFERENCE_LINES.ALI_COLOR_REFLINES_BOUNDARY
# VARIABLE_TYPE:	array of integer (RGB value)(0 - 255)
# DESCRIPTION:		color for boudary slice cross-reference lines
#                   Site configurable only.
#
# SUGGESTED DEFAULT: 255 255 255 (white)
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
CROSS_REFERENCE_LINES.ALI_COLOR_REFLINES_BOUNDARY	install		255 255 255

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CROSS_REFERENCE_LINES.ALI_LABEL_FONT_SIZE
# VARIABLE_TYPE:	integer
# DESCRIPTION:		Defines the size of the font to be used in Cross Reference Lines Label.  
#					Valid values are in points i.e. 12, 14, etc. from 0 to 78.
#
# RANGE OF VALUES:	0 - 78
# SUGGESTED DEFAULT: 11
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
CROSS_REFERENCE_LINES.ALI_LABEL_FONT_SIZE	install		11

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CROSS_REFERENCE_LINES.ALI_LABEL_FONT_TYPE
# VARIABLE_TYPE:	string
# DESCRIPTION:		Defines the font type/face to be used in Cross Reference Lines Label.  
#
# RANGE OF VALUES:		All installed fonts
# EXAMPLE:      		"Arial", "Verdana", "Comic Sans MS" etc.
# SUGGESTED DEFAULT:	"Arial"
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
CROSS_REFERENCE_LINES.ALI_LABEL_FONT_TYPE	install		"Arial"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DP.AUTO_OPEN_REFERENCE	  
# VARIABLE_TYPE:		BOOLEAN
# DESCRIPTION:			Whether to automatically open reference studies
#							
# CONTEXT:			
# RANGE OF VALUES:		YES NO
#	 
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DP.AUTO_OPEN_REFERENCE	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DP.AUTOOPEN_REFERENCE_CUT_OFF_DATE 
# VARIABLE_TYPE:		DATE
# DESCRIPTION:			Defines the date to be used in the "Do Not Open Studies Performed
#                       Before A Specific Date" functionality of display protocol.  This 
#                       will be the seed date used in the DP Properties/Save As Dialog.
#                       This date should be set at install time to the date that the first
#                       McKesson PACS was installed as the site (i.e. the date the first HMI 
#                       Backend was installed), if this is not know, it should be set to the
#                       day before the Performed Date of teh earliest study in the PACS. 
#                       Format should be <M D Y> as integers with space separators.
#							
# CONTEXT:			
# RANGE OF VALUES:		Month Day Year as integers.
#                       Valid months are 1-12, days are 1-31 and years are the current year to 
#                       1970.
#	 
# SUGGESTED DEFAULT: 	1 1 1970
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DP.AUTOOPEN_REFERENCE_CUT_OFF_DATE	install		1 1 1970

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DP.SAVE_CURRENT_STAGE_ONLY
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether to save multiple stages or current stage only when saving the DP
#							
# CONTEXT:			
# RANGE OF VALUES:		YES - save current stage only
#                       NO  - save all stages
#	 
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DP.SAVE_CURRENT_STAGE_ONLY	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     DP.SKIP_EMPTY_STAGES
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Defines whether or not empty display protocol stages are skipped when the user navigates to them.
#					 YES means empty stages will be skipped, NO means they will not be skipped.
# CONTEXT:           This is user, site and base configurable and shall have a UI that sets it.
#					 This affects both HRS-A and HRS-D functionality.  
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: YES
# Modification Through UI :  YES (DP preferences panel) 
#----------------------------------------------------------------------------
DP.SKIP_EMPTY_STAGES          install      YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:   DP.LINKING_OPTION 
# VARIABLE_TYPE:   string
# DESCRIPTION:     How to handle linking when opening a study
# Acceptable Values:  "DP" implies link as per DP instructions
#		      "LINK" implies link everything, ignoring DP instructions
#		      "NOLINK" implies do not link everything, ignoring DP instructions
# SUGGESTED DEFAULT: "DP"
# Modification Through UI :  YES (DP preferences panel) 
#----------------------------------------------------------------------------
DP.LINKING_OPTION	install	"DP"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DP.SHOW_EDITOR_OVERLAYS
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines wheather or not to display the display protocol editor text overlays 
#						when the Display Protocol Editor is invoked.
#							
# CONTEXT:			
# RANGE OF VALUES:		YES - display the Display Protocol Editor text overlays
#                       NO  - do not display the Display Protocol Editor text overlays
#	 
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DP.SHOW_EDITOR_OVERLAYS	install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:		THUMBNAIL.SHOW_MODALITY_LIST	  
# VARIABLE_TYPE:		List of Modalities
# DESCRIPTION:			List of modalities to show thumbnail when opening anchor study
#							
# CONTEXT:			
# RANGE OF VALUES:	    Any modality
#	 
# SUGGESTED DEFAULT:	All Modalities
# EXCEPTIONS:       
#--------------------------------------------------------------------------
THUMBNAIL.SHOW_MODALITY_LIST	INSTALL "CR" "CT" "DR" "DX" "MG" "MR" "NM" "OT" "PT" "RF" "SC" "US" "XA" "ES" "PR" "RG" "DS"


#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.OPEN.REFERENCE_FILL_SCREEN	  
# VARIABLE_TYPE:		BOOLEAN
# DESCRIPTION:			Whether to open a reference study to fill screen for the user
# RANGE OF VALUES:		YES, NO
#							
# SUGGESTED DEFAULT: 	YES
#--------------------------------------------------------------------------
STUDY.OPEN.REFERENCE_FILL_SCREEN	INSTALL				YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:		DATAREPOSITORY.TEMPORARY_FILES_LOCATION	  
# VARIABLE_TYPE:		string
# DESCRIPTION:			Default location (folder) for temporary repository files.
#						Could be actual path or environment varable replacement string like "%ALI_TEMP_PATH%"
#							
# CONTEXT:			
# RANGE OF VALUES:		
#	 
# SUGGESTED DEFAULT: 	"%ALI_TEMP_PATH%"
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DATAREPOSITORY.TEMPORARY_FILES_LOCATION		install		"%ALI_TEMP_PATH%" 

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DATAREPOSITORY.TEMPORARY_FILES_PREFIX	  
# VARIABLE_TYPE:		string
# DESCRIPTION:			Three letter prefix for temporary files.
#						
#							
# CONTEXT:			
# RANGE OF VALUES:		
#	 
# SUGGESTED DEFAULT: 	"DRF"    ("Data Repository File")
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DATAREPOSITORY.TEMPORARY_FILES_PREFIX		install		"DRF" 

#----------------------------------------------------------------------------
# VARIABLE_NAME:             DATAREPOSITORY.TEMPORARY_FILES_ENCRYPTION           
# VARIABLE_TYPE:              string
# DESCRIPTION:               String name of encrypting algorithm.
#                            This variable only takes effect over web sessions.
#                            If encryption is enabled the performance of HRSD
#                            could be affected.
#                                                                                  
# CONTEXT:                   site configurable only
# RANGE OF VALUES:           AES, NONE
#          
# SUGGESTED DEFAULT: NONE    Do not encript cache files
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DATAREPOSITORY.TEMPORARY_FILES_ENCRYPTION         install               NONE

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.OPEN.SHOW.NONIMAGE_INFORMATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines whether or not RadReport should show study details, 
#				reports and/or scanned documents when an anchor study is open.
#				Please note:  What RadReport actually displays is up to RadReport to determine.
#							
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#--------------------------------------------------------------------------
STUDY.OPEN.SHOW.NONIMAGE_INFORMATION		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.OPEN.SHOW.FLAGGED_IMAGES  
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether to automatically show flagged images (if any)
#                       for anchor study for the user
#							
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#--------------------------------------------------------------------------
STUDY.OPEN.SHOW.FLAGGED_IMAGES		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.OPEN.SHOW.SURVEY_LIST
# VARIABLE_TYPE:     	string
# DESCRIPTION:       	Displays the anchor study of the listed modalities in the survey window.
# CONTEXT:           	-
# RANGE OF VALUES:   	Any modality 
# SUGGESTED DEFAULT: 	"US" "VL" "SC" "OT" "ES"
# EXCEPTIONS:       	 -
#----------------------------------------------------------------------------
STUDY.OPEN.SHOW.SURVEY_LIST	INSTALL		"US" "VL" "SC" "OT" "ES"


#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY.OPEN.SHOW.SURVEY_WINDOW
# VARIABLE_TYPE:	boolean
# DESCRIPTION:		Whether to automatically show survey window
#							
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
STUDY.OPEN.SHOW.SURVEY_WINDOW		install		YES
#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY.OPEN.ORDER
# VARIABLE_TYPE:	integer enum
# DESCRIPTION:  	Defines how to control the order in which studies display
#            		once they have been opened from the study list, as well as
#            		the order in which studies are displayed in the Study/Album
#            		Selection Menu.
#            		This does not apply when the studies in question are teaching albums.
#
# CONTEXT:           	Preferences/Study List Preferences Panel
#
# RANGE OF VALUES:  	0 – Alphabetical by Album Name/Patient Last Name,
#                	1 – Selected Order
# SUGGESTED DEFAULT:	0
# EXCEPTIONS:       	none
#--------------------------------------------------------------------------
STUDY.OPEN.ORDER	install 	0


#----------------------------------------------------------------------------
# VARIABLE_NAME:		NM.AUTO_OPEN_ANCHOR
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines whether the NM viewer will automatically launching when
#                       a NM or PET anchor study opened.
#                       User perference saved to user preference file
#							
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
NM.AUTO_OPEN_ANCHOR		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		NM.AUTO_OPEN_REFERENCE
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines whether the NM viewer will automatically launching when
#                       a NM or PET reference study is opened rom a non-NM anchor study.
#                       User perference saved to user preference file
#							
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
NM.AUTO_OPEN_REFERENCE		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.CONFIRM_QUIT
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines whether or not to show the quit confirmation dialog when the user 
#                       presses the quit button on the UI
#							
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
GENERAL.CONFIRM_QUIT		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.APPEND_USER_LOGIN_FOR_DISPLAY
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether to append user’s login ID to user name for display .
#						Site configurable only.
#							
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
GENERAL.APPEND_USER_LOGIN_FOR_DISPLAY		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY.OVERREAD.ASSIGNED_RAD
# VARIABLE_TYPE:	String
# DESCRIPTION:		Default radiologist to assign to when closing/changing status of a study as needing over-read
# CONTEXT:			-
# SUGGESTED DEFAULT: None
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDY.OVERREAD.ASSIGNED_RAD		install		""


#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY.OVERREAD.OPTION
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		How to handle study that is closed/changed status as needing over-read
# CONTEXT:			-
# RANGE OF VALUES:	ANY – let anyone report it
#					ASK – ask me if I want to assign it to someone
#					SPECIFIC – assign to specific user
# SUGGESTED DEFAULT: ANY
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDY.OVERREAD.OPTION		install		ANY


#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY.REVIEWED.ASSIGNED_RAD
# VARIABLE_TYPE:	String
# DESCRIPTION:		Default radiologist to assign to when closing/changing status of a study as reviewed
# CONTEXT:			-
# SUGGESTED DEFAULT: None
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDY.REVIEWED.ASSIGNED_RAD		install		""

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY.REVIEWED.OPTION
# VARIABLE_TYPE:	integer (enum)
# DESCRIPTION:		How to handle study that is closed/changed status as reviewed
# CONTEXT:			-
# RANGE OF VALUES:	ANY – let anyone report it
#					ASK – ask me if I want to assign it to someone
#					SPECIFIC – assign to specific user
# SUGGESTED DEFAULT: ANY
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
STUDY.REVIEWED.OPTION		install		ANY

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CHANGE_REF_STATUS.WARNING
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether to show dialog asking the user what to do for
#						changing reference/grouped studies status.
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDY.CHANGE_REF_STATUS.WARNING		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.SHOW_EXTERNAL_CHANGE_STATUS_SUCCESS_DIALOG
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether to show dialog for external change status successfully
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDY.SHOW_EXTERNAL_CHANGE_STATUS_SUCCESS_DIALOG	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CLOSE.NOTIFY_WARNING
# VARIABLE_TYPE:		integer (enum)
# DESCRIPTION:			Whether to notify user when closing a study with unviewed images
#
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
STUDY.CLOSE.NOTIFY_WARNING	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CLOSE.NOTIFY_STUDY_STATUS_LIST
# VARIABLE_TYPE:		integer (enum)
# DESCRIPTION:			Ability to notify users when there are unviewed images in 
#						the study before closing the study as certain study status.
#						NOTE: Site configurable only
# CONTEXT:				close study
# RANGE OF VALUES:		Any study status (IN-PROGRESS, SCHEDULED, PERFORMED, REPORTED, DICTATED, REVIEWED, OVERREAD, TRANSCRIBED)
# SUGGESTED DEFAULT: 	REPORTED, DICTATED, REVIEWED, OVERREAD
#----------------------------------------------------------------------------
STUDY.CLOSE.NOTIFY_STUDY_STATUS_LIST	install	REPORTED DICTATED REVIEWED OVERREAD

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CLOSE.NOTIFY_IGNORE_UNVIEWED_SCOUTS
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether to display unviewed image warning on study close if the all unviewed images are scout images
#						This variable is only considered if STUDY.CLOSE.NOTIFY_WARNING is set to YES
# CONTEXT:			
# RANGE OF VALUES:      YES, NO 
#						YES = Do NOT warn user if all unviewed images are scout images (ignore scout images)
#						NO  = Warn users of unviewed images (regardless of what the type of images are)
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDY.CLOSE.NOTIFY_IGNORE_UNVIEWED_SCOUTS	INSTALL 	NO 

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CLOSE.NOTIFY_MODALITIES
# VARIABLE_TYPE:		string array
# DESCRIPTION:			This variable indicates the modalities for which unviewed images warning will be displayed when closing study.
#						This variable is only considered if STUDY.CLOSE.NOTIFY_WARNING is set to YES
#						Studies of modalities other that those specified here will not result in any unviewed images warnings 
#						even if there are unviewed images in the study at the time of closing
# CONTEXT:			
# RANGE OF VALUES:      A list of valid active modality values. 
#						Please consult the ActiveModalities variable in the interface.base (or interface.site) config file for such a list.
# SUGGESTED DEFAULT: 	"CR" "CT" "DR" "DX" "MG" "MR" "NM" "OT" "PT" "RF" "SC" "US" "XA" "ES" "PR" "RG" "DS"
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDY.CLOSE.NOTIFY_MODALITIES 		INSTALL 	"CR" "CT" "DR" "DX" "MG" "MR" "NM" "OT" "PT" "RF" "SC" "US" "XA" "ES" "PR" "RG" "DS"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CLOSE.FORCE_SITE_WARNING
# VARIABLE_TYPE:		integer (enum)
# DESCRIPTION:			This variable is used to determine if site level unviewed images warning 
#						should override the user level settings.
#						YES = Use site level warning settings
#						NO  = Use User level (if present) warning setting
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	NO
#----------------------------------------------------------------------------
STUDY.CLOSE.FORCE_SITE_WARNING	install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CYCLE_WARNING
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether to warn user when there is no image selected for cycling study
#
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
STUDY.CYCLE_WARNING		install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.RAD_REPORT.PRELIMINARY
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines the study status when a study is marked as “PRELIMINARY” in Rad Report
#
# CONTEXT:			
# RANGE OF VALUES:      DICTATED, REVIEWED, OVERREAD, REPORTED, TRANSCRIBED
# SUGGESTED DEFAULT: 	DICTATED
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.RAD_REPORT.PRELIMINARY		install		OVERREAD

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.RAD_REPORT.FINAL
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines the study status when a study is marked as “FINAL” in Rad Report
#
# CONTEXT:			
# RANGE OF VALUES:      DICTATED, REVIEWED, OVERREAD, REPORTED, TRANSCRIBED
# SUGGESTED DEFAULT: 	REPORTED
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.RAD_REPORT.FINAL		install		REPORTED

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.RAD_REPORT.DICTATED
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines the study status when a study is marked as “DICTATED” in Rad Report
#
# CONTEXT:			
# RANGE OF VALUES:      DICTATED, REVIEWED, OVERREAD, REPORTED, TRANSCRIBED
# SUGGESTED DEFAULT: 	DICTATED
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.RAD_REPORT.DICTATED		install		DICTATED

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.RAD_REPORT.DICTATED_VOICECLIP
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines the study status after a voice clip is saved in Rad Report
#
# CONTEXT:			
# RANGE OF VALUES:      DICTATED, REVIEWED, OVERREAD, REPORTED, TRANSCRIBED
# SUGGESTED DEFAULT: 	OVERREAD
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.RAD_REPORT.DICTATED_VOICECLIP	install	OVERREAD

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.RAD_REPORT.ADDENDUM
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines the study status when a study is marked as “ADDENDUM” in Rad Report
#
# CONTEXT:			
# RANGE OF VALUES:      DICTATED, REVIEWED, OVERREAD, REPORTED, TRANSCRIBED
# SUGGESTED DEFAULT: 	REPORTED
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.RAD_REPORT.ADDENDUM		install		REPORTED

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.RAD_REPORT.CHANGE_STATUS
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Whether RadReport can invoke the change study status functionality on Emerald
#
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.RAD_REPORT.CHANGE_STATUS		install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.RAD_REPORT.CLOSE_STUDY
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Context: A study's status has been changed as a result of a RadReport call and that
#						study is the anchor study in a study context
#						Config variable effect: Must the study be closed as well?  
#
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.RAD_REPORT.CLOSE_STUDY		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.DISPLAY_PROTOCOL_EDITOR.FONT_NAME
# VARIABLE_TYPE:		String
# DESCRIPTION:			Defines the name of the font to be used when the overlays for the 
#						display protocol editor are shown
# CONTEXT:				
# EXAMPLE:      		"Arial", "Verdana", "Comic Sans MS"
# SUGGESTED DEFAULT: 	"Arial"
#----------------------------------------------------------------------------
OVERLAY.DISPLAY_PROTOCOL_EDITOR.FONT_NAME		install		"Arial"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.DISPLAY_PROTOCOL_EDITOR.FONT_SIZE
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the size of the font to be used when the overlays for the 
#						display protocol editor are shown
#
# CONTEXT:			
# RANGE OF VALUES:      0 - 78
# SUGGESTED DEFAULT: 	16
#----------------------------------------------------------------------------
OVERLAY.DISPLAY_PROTOCOL_EDITOR.FONT_SIZE		install		16

#----------------------------------------------------------------------------
# VARIABLE_NAME:	NMTOOL.CONFIGURATION_DATA
# VARIABLE_TYPE:	String
# DESCRIPTION:		Define data for NM Tool. Should be set when after installing SEGAMI NM.
# CONTEXT:			
# RANGE OF VALUES:	
#	 
# SUGGESTED DEFAULT: 	"Path=C:\NMTOOL\NMTOOL.EXE"
# EXAMPLE: NMTOOL.CONFIGURATION_DATA  INSTALL "Path=C:\NMTOOL\NMTOOL.EXE" 
# EXCEPTIONS:       
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:	VOXAR.CONFIGURATION_DATA
# VARIABLE_TYPE:	String
# DESCRIPTION:		Define data for VOXAR Tool. Should be set when after installing VOXAR.
# CONTEXT:			
# RANGE OF VALUES:	
#	 
# SUGGESTED DEFAULT: 	"Path=C:\Program Files\Voxar\Voxar 3D\Voxar3d.exe;CmdLineArgs=/startupmode=3dsegmentation /disable=slices"
# EXAMPLE: VOXAR.CONFIGURATION_DATA INSTALL "Path=C:\Program Files\Voxar\Voxar 3D\Voxar3d.exe;CmdLineArgs=/startupmode=3dsegmentation /disable=slices"
# EXCEPTIONS:       
#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# VARIABLE_NAME:	VITREA.CONFIGURATION_DATA
# VARIABLE_TYPE:	String
# DESCRIPTION:		Define data for VITREA Tool. Should be set when after installing VITREA.
# CONTEXT:			
# RANGE OF VALUES:	
#	 
# SUGGESTED DEFAULT: 	""
# EXAMPLE: VITREA.CONFIGURATION_DATA INSTALL ""
# EXCEPTIONS:       
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ORTHOVIEW.CONFIGURATION_DATA
# VARIABLE_TYPE:	String
# DESCRIPTION:		Define data for ORTHO VIEW Tool. Should be set when after installing ORTHO VIEW.
# CONTEXT:			
# RANGE OF VALUES:	
#	 
# SUGGESTED DEFAULT: 	"OrthoView (McKesson Build)"
# EXAMPLE: ORTHOVIEW.CONFIGURATION_DATA INSTALL "OrthoView (McKesson Build)"
# EXCEPTIONS:       
#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.IGNORE_GROUPED_STUDIES
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			A value of YES will cause the system to ignore grouped studies when
#				automatically opening reference studies for the user.  A value of NO will
#				cause the system to treat all the patient's studies as potential candidates for
#				being automatically opened.
#
# CONTEXT:			
# RANGE OF VALUES:      YES,NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
STUDY.IGNORE_GROUPED_STUDIES	INSTALL 	YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:     USER_PREFERENCES.SIZE
# VARIABLE_TYPE:     integer
# DESCRIPTION:       User Preferences window size per user (in mm)
# RANGE OF VALUES:   width height
# SUGGESTED DEFAULT: 0 0 
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
USER_PREFERENCES.SIZE  INSTALL	0 0 

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY_STATUS_CHANGE.DLG_LOCATION
# VARIABLE_TYPE:	array of integer (x, y)
# DESCRIPTION:		Study Status Change window location. 
#                   	In percentage of the current screen resolution
# CONTEXT:			-
# RANGE OF VALUES:	0..100, 0..100
# SUGGESTED DEFAULT: 	50, 50
# EXCEPTIONS:        	-
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.DLG_LOCATION	install		50 50 

#----------------------------------------------------------------------------
# VARIABLE_NAME:     COMPRESS.COMMAND.NAME.DEFAULT
# VARIABLE_TYPE:     string
# DESCRIPTION:       Default name of the compression method. 
#                    When a compression command name is specified
#                    for a modality the Web Server will first attempt to find
#                    precompressed images and, if no precompressed images can be 
#                    found, it will generate compressed images on the fly.
#
#                    Site configurable only
#
# RANGE OF VALUES:   A string with the name of the compression method. This 
#                    name must correspond to the "description" field of the 
#                    precompress command in webcompress.site that corresponds
#                    to the "default" modality. If no compression must be used 
#                    the value must be "Original"
# SUGGESTED DEFAULT: "Clinical (20:1)"
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
COMPRESS.COMMAND.NAME.DEFAULT  INSTALL  "Clinical (20:1)"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     COMPRESS.COMMAND.NAME.<modality>
# VARIABLE_TYPE:     string
# DESCRIPTION:       The name of the compression method for images belonging 
#                    to a modality. When a compression command name is specified
#                    for a modality the Web Server will first attempt to find
#                    precompressed images and, if no precompressed images can be 
#                    found, it will generate compressed images on the fly.
#                    If no compress command is specified for a modality,
#                    the value used is the one of COMPRESS.COMMAND.NAME.DEFAULT
#
# RANGE OF VALUES:   A string with the name of the compression method. This 
#                    name must correspond to the "description" field of the 
#                    precompress command in webcompress.site that corresponds
#                    to <modality>. If no compression must be used for images 
#                    belonging to modality, the value must be "Original"
# SUGGESTED DEFAULT: -
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
COMPRESS.COMMAND.NAME.CT  INSTALL  "Clinical (10:1)"
COMPRESS.COMMAND.NAME.US  INSTALL  "Clinical (10:1)"
COMPRESS.COMMAND.NAME.NM  INSTALL  "Clinical (15:1)"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.SHARE_TOOLBAR_AND_MENU_APPEARANCE
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Whether the Main Toolbar and Image Right-Click Menu
#                    configuration are shared between web sessions (client 
#                    HRS Distributed) and network sessions (client HRS 
#                    Advanced). 
#
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
GENERAL.SHARE_TOOLBAR_AND_MENU_APPEARANCE  INSTALL  NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:     GENERAL.CHANNELS_NUMBER
# VARIABLE_TYPE:     long
# DESCRIPTION:       The number of channels used by web sessions for downloading
#                    images in the background. 
# RANGE OF VALUES:   1 or the number of web servers behind a load balancer
# SUGGESTED DEFAULT: 1
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
GENERAL.CHANNELS_NUMBER  INSTALL  1

#----------------------------------------------------------------------------
# VARIABLE_NAME:     CHANNELS_NUMBER.<MODALITY>
# VARIABLE_TYPE:     long positive
# DESCRIPTION:       The number of channels used by web sessions for downloading
#                    images in the background for particular modality. 
#                    Site specified only. This will affect loading images as:
#                    the more channels number is specified, the slower the first
#                    image is loaded, but the whole study is loaded fast.
#                    Set it to 4 or more for the modalities that contain large
#                    amount of relatively small images (like CT or MR).
#                    Set it to 1 (even when there are few webservers available
#                    behind load balancer) for the modalities where images are
#                    few but the size of each image is large (like MG or CR).
# RANGE OF VALUES:   1 or more
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
CHANNELS_NUMBER.CT	INSTALL		4
CHANNELS_NUMBER.MR	INSTALL		4
CHANNELS_NUMBER.US	INSTALL		4
CHANNELS_NUMBER.MG	INSTALL		1
CHANNELS_NUMBER.CR	INSTALL		1

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.UNDER_MIN_COLOR_DEPTH_WARNING
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			This is meant to be used only by HRS Distributed
#				(Web Client) and informs Whether to warn the user 
#				when one or more of the present monitors do not
#				satisfy the minimum color depth requirement.
#
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
GENERAL.UNDER_MIN_COLOR_DEPTH_WARNING		install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.UNDER_MIN_RESOLUTION_WARNING
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			This is meant to be used only by HRS Distributed
#				(Web Client) and informs Whether to warn the user 
#				when one or more of the present monitors do not
#				satisfy the minimum resolution requirement.
#
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
GENERAL.UNDER_MIN_RESOLUTION_WARNING		install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:		MONITOR.COUNT
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the number or predefined monitors for which the characteristics can be consider
#				known
#
# CONTEXT:			
# RANGE OF VALUES:		1-10
#	 
# SUGGESTED DEFAULT: 		1
# EXCEPTIONS:       
#--------------------------------------------------------------------------
MONITOR.COUNT	INSTALL 1


#----------------------------------------------------------------------------
# VARIABLE_NAME:		MONITOR_XX.ADAPTOR.NAME
# VARIABLE_TYPE:		string
# DESCRIPTION:			Defines the adapter name of the monitor XX
#							
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 		BarcoMed 3MP2FH
# EXCEPTIONS:       
#--------------------------------------------------------------------------
MONITOR_1.ADAPTOR.NAME	INSTALL  "BarcoMed 3MP2FH"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		MONITOR_XX.RANGE_LOWER
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the lower range of the visible area of the monitor XX (in milimeters)
#
# CONTEXT:			
# RANGE OF VALUES:		integer
#	 
# SUGGESTED DEFAULT: 		0
# EXCEPTIONS:       
#--------------------------------------------------------------------------
MONITOR_1.RANGE_LOWER	INSTALL  0

#----------------------------------------------------------------------------
# VARIABLE_NAME:		MONITOR_XX.RANGE_UPPER
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the upper range of the visible area of the monitor XX (in milimeters)
#
#							
# CONTEXT:			
# RANGE OF VALUES:		integer
#	 
# SUGGESTED DEFAULT: 		3145728
# EXCEPTIONS:       
#--------------------------------------------------------------------------
MONITOR_1.RANGE_UPPER	INSTALL  3145728

#----------------------------------------------------------------------------
# VARIABLE_NAME:		MONITOR_XX.HEIGHT.MILIMETERS
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the height of the monitor XX in milimeters
#
#							
# CONTEXT:			
# RANGE OF VALUES:		
#                       	
#	 
# SUGGESTED DEFAULT: 		396
# EXCEPTIONS:       
#--------------------------------------------------------------------------
MONITOR_1.HEIGHT.MILIMETERS    INSTALL  396

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DP.DONOT_OPEN_STUDIES_PEFORMED_AFTER_ANCHOR
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines whether or not Generic Display Protocols will automatically
#				open reference studies that are newer than the anchor study.
#
#				This configuration variable only applies to GENERIC Display Protocols.
#				It does not apply to user defined display protocols.
#							
# CONTEXT:			
# RANGE OF VALUES:		YES - Generic Display Protocols Will never open studies newer than the anchor
#                       	NO  - Generic Display Protocols Will open studies newer than the anchor
#	 
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DP.DONOT_OPEN_STUDIES_PEFORMED_AFTER_ANCHOR	install		YES


#----------------------------------------------------------------------------
# VARIABLE_NAME:    MPR.VALIDATION.INTERSLICE_PRECISION_TOLERANCE
# VARIABLE_TYPE:     double
# DESCRIPTION:       Tolerance in milimeters for the interslice vector module.  
#                    This is intended to prohibit the user from creating an MPR 
#                    over large gaps between unrelated anatomy.  
# CONTEXT:           -
# RANGE OF VALUES:  0 - 
# SUGGESTED DEFAULT: 50 (5cm)
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MPR.VALIDATION.INTERSLICE_PRECISION_TOLERANCE		INSTALL		50

#----------------------------------------------------------------------------
# VARIABLE_NAME:    MPR.VALIDATION.INTERSLICE_ANGLE_TOLERANCE
# VARIABLE_TYPE:     double
# DESCRIPTION:       Angle tolerance for the interslice vector specified in degrees.  
#                    This is the total acceptable angle variation over the entire series.  
#                    It does NOT represent angle variation between two consecutive slices.
# CONTEXT:           -
# RANGE OF VALUES:  0 - 
# SUGGESTED DEFAULT: 4
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MPR.VALIDATION.INTERSLICE_ANGLE_TOLERANCE		INSTALL		4

#----------------------------------------------------------------------------
# VARIABLE_NAME:		MPR.VALIDATION.ACCEPT_GANTRY_TILT
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			accept gantry tilt or reject it
#
# CONTEXT:			
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
MPR.VALIDATION.ACCEPT_GANTRY_TILT		install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:    MPR.VALIDATION.GANTRY_TILT_ANGLE_TOLERANCE
# VARIABLE_TYPE:     double
# DESCRIPTION:       if reject gantry tilt then all tilts angles smaller the GANTRY_TILT_ANGLE_TOLERANCE are passed
#					 if accept gantry the all angles up to 90-GANTRY_TILT_ANGLE_TOLERANCE are passed (avoid almost coplanar images)
# CONTEXT:           -
# RANGE OF VALUES:  0 - 
# SUGGESTED DEFAULT: 1
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
MPR.VALIDATION.GANTRY_TILT_ANGLE_TOLERANCE		INSTALL		1


#----------------------------------------------------------------------------
# VARIABLE_NAME:    OAF.AUTOLAUNCH.TIMEOUT
# VARIABLE_TYPE:     double
# DESCRIPTION:       Gives OAF adapters time to load
# CONTEXT:           -
# RANGE OF VALUES:   0.5 - 10
# SUGGESTED DEFAULT: 4
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
OAF.AUTOLAUNCH.TIMEOUT		INSTALL		4

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DP.PERFORM_AUTO_MPR_FOR_WEB
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines whether or not Auto MPR will be performed over the web (i.e. for HRS-D).
#				NOTE:  If this is set to NO, then any DP you save that has MPR sequence viewports
#				will be saved with those sequence viewports in original mode.
#				
#				This variable only affects HRS-D and is ignored in HRS-A
#							
# CONTEXT:			
# RANGE OF VALUES:		YES - Auto-MPR will be performed.
#                       	NO  - Auto-MPR will not be performed, so sequence viewport submode will be switched back
#				      to original mode.
#	 
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
DP.PERFORM_AUTO_MPR_FOR_WEB	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.ALLOCATION_BLOCK_SIZE
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the maximum size, in KB, of the memory blocks allocated by IP for image buffers.
#						IP can be instructed to use memory blocks of configurable size instead of
#						a single contiguous block for each image plane.
#							
# CONTEXT:				This feature helps avoiding OS allocation failures for large images (e.g. Mammography images over 40Mb)
#						even when smaller memory blocks are available at OS level. 
# RANGE OF VALUES:		0 - 10240
#						NOTE: a vaule of 0 menas that only contiguous blocks will be allocated (the feature is disabled)
#	 
# SUGGESTED DEFAULT: 	2048 (the maximum block size is 2MB )
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.ALLOCATION_BLOCK_SIZE	install		2048

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.DECOMPRESSION_BUFFER_SIZE
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the size, in MB, of the memory block pre-allocated by IP for image decompression.
#						
#							
# CONTEXT:				This feature helps avoiding OS allocation failures for precompressed large images
#						even when smaller memory blocks are available at OS level. 
# RANGE OF VALUES:		0 - 256
#						NOTE: If 0, buffer is not pre-allocated.
#	 
# SUGGESTED DEFAULT: 	64 (buffer size is 64MB )
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.DECOMPRESSION_BUFFER_SIZE	install		64

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.DICOM_FILE_CLOSURE.MAX_FILES
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the maximum number of file handles maintained by the file closure thread
#						
#							
# CONTEXT:				
# RANGE OF VALUES:		100 - 5000
#						
#	 
# SUGGESTED DEFAULT: 		100
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.DICOM_FILE_CLOSURE.MAX_FILES	install		100

----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.DICOM_FILE_CLOSURE.WAIT_TIME_BEFORE_CLOSE_ASYNC
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the (minimum) time delay in milliseconds
#				before closing asynchronously a file in the file closure thread
#						
#							
# CONTEXT:				
# RANGE OF VALUES:		0 - 200
#						
#	 
# SUGGESTED DEFAULT: 		20
# EXCEPTIONS:       
#--------------------------------------------------------------------------
#GENERAL.IP.DICOM_FILE_CLOSURE.WAIT_TIME_BEFORE_CLOSE_ASYNC	install		20


#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.DICOM_FILE_CLOSURE.WAIT_TIME_BEFORE_CLOSE_SYNC
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the (minimum) time delay in milliseconds
#				before closing synchronously a file
#						
#							
# CONTEXT:				
# RANGE OF VALUES:		0 - 200
#						
#	 
# SUGGESTED DEFAULT: 		20
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.DICOM_FILE_CLOSURE.WAIT_TIME_BEFORE_CLOSE_SYNC	install		20


#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.DICOM_FILE_CLOSURE.LOG_PERFORMANCE
# VARIABLE_TYPE:		integer
# DESCRIPTION:			when it is true, the DICOM library will log statistics about asynchronous file closure timing
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		NO
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.DICOM_FILE_CLOSURE.LOG_PERFORMANCE	install		NO




#----------------------------------------------------------------------------
# VARIABLE_NAME:		ZOOM_WINDOW.SIZE.<MODALITY>.<RESOLUTION>	
# VARIABLE_TYPE:		string
# DESCRIPTION:			Configurable zoom window size		
#							
# SUGGESTED DEFAULT:	width = 50% of screen width 	Height = 50% of screen height
#--------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME: 		ZOOM_WINDOW.All_Images_Sequence_Display.<modality> 
# VARIABLE_TYPE:		string
# DESCRIPTION: 			When user selects to view “All Images” Sequence in Zoom 
# 				Window, this variable configures whether the 
# 				originating sequence is displayed or all sequences (pre-11.6 behaviour)
#				Default behaviour in absence of this configuration variable 
#				would be the display only the originating series. 
# CONTEXT:
# RANGE OF VALUES: 		Originating_Sequence, All_Sequences 
# SUGGESTED DEFAULT: 		Originating_Sequence 
# EXCEPTIONS:
# EXAMPLES:
# ZOOM_WINDOW.All_Images_Sequence_Display.US install Originating_Sequence
# ZOOM_WINDOW.All_Images_Sequence_Display.GENERAL install All_Sequences
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		SURVEY_WINDOW.LAYOUT.<MODALITY>.<RESOLUTION>	
# VARIABLE_TYPE:		string
# DESCRIPTION:			Configurable Survey Window Layout.
#	 
# SUGGESTED DEFAULT:	3x5 except for CR, DR, MG, XA, RF is 1x2 & ES is 2x2
#--------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.PATIENT_CLOSE_METHOD
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the method used for the main patient close button
#						on the main toolbar.  The user can have this work with a 1-click
#						or 2-click method.  1-click allows a default action with a side
#						car button, and 2-click gives the user a menu from which they can
#						choose the status.  The 2-click method will cause the sidecar to
#						disappear.
#							
# CONTEXT:				To Configure:  1 = Single Click Method.  2 = Two Click Method.				
# Acceptable Values:	1, 2
#						
#	 
# SUGGESTED DEFAULT: 	1
# EXCEPTIONS:       
#--------------------------------------------------------------------------
STUDY_STATUS_CHANGE.PATIENT_CLOSE_METHOD	install		1

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY_STATUS_CHANGE.NOTIFY_USER
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Defines whether or not the confirmation dialog 
#						is shown to the user when they click the main patient close button.
#						This will be set to NO automatically by the system after the first
#						time the user logs on.
# CONTEXT:				-
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT:	YES
# EXCEPTIONS:			-
#----------------------------------------------------------------------------
STUDY_STATUS_CHANGE.NOTIFY_USER		install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.LUT_TRANSFORMATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the lut transform of the pipeline
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.LUT_TRANSFORMATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.LUT_GENERATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the lut generation of the pipeline
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.LUT_GENERATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.RESIZE_TRANSFORMATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the resize transf. aka zoom of the pipeline
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
# NOTES: The zoom optimization is not finished yet in IP so the default for now (12 Sep 2005) should be NO (Andrei G.)
#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.RESIZE_TRANSFORMATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.CONVOLUTION_TRANSFORMATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the convolution transf. of the pipeline 
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.CONVOLUTION_TRANSFORMATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.BLIT_OPERATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the blitting of the images 
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
# NOTES: The blitting optimization is not finished yet in IP so the default for now (12 Sep 2005) should be NO (Andrei G.)
#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.BLIT_OPERATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.NORMALIZER_OPTIMIZE
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the normalizing operation 
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.NORMALIZER_OPTIMIZE	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PREPROCESSOR_OPTIMIZE
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the preprocessing operation 
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.PREPROCESSOR_OPTIMIZE	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			when it is true, the IP library will optimize the geometry transf. of the pipeline aka rotation and flip
#							
# CONTEXT:				
# RANGE OF VALUES:		YES, NO
#						
#	 
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:       
#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION	install		YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_SIZE_KBYTES_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:			the IP library will optimize the geometry transf. for images bigger then this threshold using also the 
#						GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_BLOCK_SIZE_BYTES as a block value in bytes
#							
# CONTEXT:				
# RANGE OF VALUES:		0-...
#						
#	 
# SUGGESTED DEFAULT: 		1024
# EXCEPTIONS:       
# NOTES:       works together with GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_BLOCK_SIZE_BYTES and is ignored if 
#				GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION is set to NO
#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_SIZE_KBYTES_THRESHOLD	install		1024


#----------------------------------------------------------------------------
# VARIABLE_NAME:		GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_BLOCK_SIZE_BYTES
# VARIABLE_TYPE:		integer
# DESCRIPTION:			the IP library will optimize the geometry transf. for images bigger then this threshold using also the 
#						GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_SIZE_KBYTES_THRESHOLD as the minimum image size for wich this 
#						block size is used
#	
# CONTEXT:				
# RANGE OF VALUES:		1-...
#						
#	 
# SUGGESTED DEFAULT: 		4096 (64x64)
# EXCEPTIONS:       
# NOTES:       works together with GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_SIZE_KBYTES_THRESHOLD and is ignored if 
#				GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION is set to NO

#--------------------------------------------------------------------------
GENERAL.IP.PIPELINE_OPTIMIZE.GEOMETRY_TRANSFORMATION.MONOCHROME_IMAGE_BLOCK_SIZE_BYTES	install		4096

#----------------------------------------------------------------------------
# VARIABLE_NAME:		UNSEQUENCEDIMAGENUMBER_THRESHOLD
# VARIABLE_TYPE:		integer
# DESCRIPTION:			A threshold that specifies the number of un-sequenced image files
#	
# CONTEXT:				Site Configurable only
# RANGE OF VALUES:		0 to infinite integer
#						
#	 
# SUGGESTED DEFAULT: 	300
# EXCEPTIONS:       
#--------------------------------------------------------------------------
UNSEQUENCEDIMAGENUMBER_THRESHOLD	install		300

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.MINIMIZE_APPS
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Whether to minimize the windows of other applications
#					 when HRS Distributed is being activated.
#                    Site configurable only.
# CONTEXT:           This variable only takes effect over web sessions,
#                    that is, only for HRS Distributed.
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        Has no effect for HRS Advanced.
#----------------------------------------------------------------------------
HRSD.MINIMIZE_APPS       install      NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.MANAGE_ZORDER
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Whether the main window of HRS Distributed should be
#                    positioned at the bottom of the z-order.
#
#                    In Windows terminology, the z-order of a window indicates 
#                    the window's position in a stack of overlapping windows. 
#                    This window stack is oriented along an imaginary axis, 
#                    the z-axis, extending outward from the screen. 
#                    The window at the top of the z-order overlaps all other windows. 
#                    The window at the bottom of the z-order is overlapped by all 
#                    other windows.
#
#                    Site configurable only.
#
# CONTEXT:           This variable only takes effect over web sessions,
#                    that is, only for HRS Distributed.
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        Has no effect for HRS Advanced.
#----------------------------------------------------------------------------
HRSD.MANAGE_ZORDER       install      NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.SHOW_CAPTION_BAR
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Whether HRS Distributed should display a caption bar.
#                    Site configurable only.
# CONTEXT:           This variable only takes effect over web sessions,
#                    that is, only in HRS Distributed.
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: YES
# EXCEPTIONS:        Has no effect for HRS Advanced.
#----------------------------------------------------------------------------
HRSD.SHOW_CAPTION_BAR    install      YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.ENABLE_CLOSE_BUTTON
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Whether HRS Distributed should enable the system close button in caption bar.
#                    Site configurable only.
# CONTEXT:           This variable only takes effect over HRS-D EMR sessions,
#                    when the caption bar shows (HRSD.SHOW_CAPTION_BAR is YES)
#					 When enabled, the X button will shutdown HRS-D.
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: NO
# EXCEPTIONS:        Has no effect for HRS Advanced.
#----------------------------------------------------------------------------
HRSD.ENABLE_CLOSE_BUTTON    install      NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.QUIT_LABEL 
# VARIABLE_TYPE:     string
# DESCRIPTION:       Label to use for the Quit button in HRS-D when HRS-D is launched from an EMR or other application. 
#		     When HRS-D is run in standalone mode, this variable is ignored.

# CONTEXT:           This variable only takes effect over EMR sessions,
#                    that is, only in HRS Distributed with EMR integration.

# RANGE OF VALUES:   Any string, in quotes.  E.g. "Return to EMR".  Only configurable at a base or site level.
# SUGGESTED DEFAULT: "Return"
# EXCEPTIONS:        Has no effect for HRS Advanced.
#----------------------------------------------------------------------------
HRSD.QUIT_LABEL      install      "Return"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.QUIT_LABEL.FRC 
# VARIABLE_TYPE:     string
# DESCRIPTION:       Label to use for the Quit button in HRS-D for a french user when HRS-D is 
#					 launched from an EMR or other application. 
#					  When HRS-D is run in standalone mode, this variable is ignored.

# CONTEXT:           This variable only takes effect over EMR sessions,
#                    that is, only in HRS Distributed with EMR integration.

# RANGE OF VALUES:   Any string, in quotes.  E.g. "Return to EMR".  Only configurable at a base or site level.
# SUGGESTED DEFAULT: "Return"
# EXCEPTIONS:        Has no effect for HRS Advanced.
#----------------------------------------------------------------------------
HRSD.QUIT_LABEL.FRC  install      "Retour"

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.KEEP_RUNNING
# VARIABLE_TYPE:     string
# DESCRIPTION:       Keeps running HRS-D in the background even if application is cloased.

# CONTEXT:           This variable is introduced to boost launching performance,
#                    
# RANGE OF VALUES:   "YES" or "NO".
# SUGGESTED DEFAULT: "NO" for HRS-A, for HRS-D is "YES"
# EXCEPTIONS:        
#----------------------------------------------------------------------------
HRSD.KEEP_RUNNING               install 				"NO"


#----------------------------------------------------------------------------
# VARIABLE_NAME:     STUDY.CHANGE_QA.WARNING
# VARIABLE_TYPE:     Boolean
# DESCRIPTION:       Whether to notify the site when changing the status of a study that has 
#                    an outstanding QA issue.
# CONTEXT:           Site configurable only
#
# RANGE OF VALUES:   Yes, no
# SUGGESTED DEFAULT: No
#----------------------------------------------------------------------------
STUDY.CHANGE_QA.WARNING          install      NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:     General.Other_Apps_Kill_Timeout
# VARIABLE_TYPE:     integer
# DESCRIPTION:       The amount of time that should elapse before an 
#                    application (that is not closing on its own) is forcibly 
#                    killed after Emerald quits.
# CONTEXT:           Used only for the Generic Adapter instances - no other OAF adapters

# RANGE OF VALUES:   0 to 60 seconds
# SUGGESTED DEFAULT: 10 seconds
#----------------------------------------------------------------------------
General.Other_Apps_Kill_Timeout		install 10

#------------------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CHECK_FREE_MEMORY
# VARIABLE_TYPE:		Boolean
# DESCRIPTION:	Defines whether or not to check if there is sufficient memory before opening a study or 
#				performing certain other actions (changing patients for example).  
#				If this is turned on and there is NOT enough memory then the user will be warned.
#
# RANGE OF VALUES:	YES, NO
# SUGGESTED DEFAULT:		YES
#------------------------------------------------------------------------------------
STUDY.CHECK_FREE_MEMORY install YES

#------------------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.FREE_DISK_SPACE_THRESHOLD
# VARIABLE_TYPE:		Integer
# DESCRIPTION:	Defines the expected size of a free disk space in megabytes (MB). 
#				This value determines when image data caching stops because of insuficient disk space.
#
#
# SUGGESTED DEFAULT: 1000
#------------------------------------------------------------------------------------
STUDY.FREE_DISK_SPACE_THRESHOLD install 1000

#------------------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.CHECK_FREE_MEMORY THRESHOLD.<MODALITY>
# VARIABLE_TYPE:		Integer
# DESCRIPTION:	Defines the expected size of a study of that modality in megabytes (MB). 
#				General will define the general amount of memory needed to open any study and is not tied to a modality.  
#				This is used to determine whether or not there is sufficient memory to open the study. 
#				Do not modify this variable unless explicitly instructed to by development.
#
#
# SUGGESTED DEFAULT:: 	
# STUDY.CHECK_FREE_MEMORY_THRESHOLD.GENERAL	install	200
# STUDY.CHECK_FREE_MEMORY_THRESHOLD.MG		install	1000
#------------------------------------------------------------------------------------
STUDY.CHECK_FREE_MEMORY_THRESHOLD.GENERAL	install	200
STUDY.CHECK_FREE_MEMORY_THRESHOLD.MG		install	500 

#------------------------------------------------------------------------------------
# VARIABLE_NAME:		THUMBNAIL.LOAD.SERIALIZED
# VARIABLE_TYPE:		Boolean
# DESCRIPTION:	        Defines a flag whether the thumbnail bitmaps should be loaded sequentially.
#                       If set to "no", all the thumbnail bitmaps will be loaded asynchronously.
#
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT:: 	YES
#------------------------------------------------------------------------------------
THUMBNAIL.LOAD.SERIALIZED		install YES


#------------------------------------------------------------------------------------
# VARIABLE_NAME:	GENERAL.RIS_STUDYLIST
# VARIABLE_TYPE:	GUID
# DESCRIPTION:	        Defines the OAF adaptor to be used as the additional RIS studylist.  
#			The value for this variable must be the GUID from the OAF.site configuration for the RIS studylist.
#
# RANGE OF VALUES:      Any UniqueID of an adapter defined in the OAF configuration
# SUGGESTED DEFAULT: 	none
#------------------------------------------------------------------------------------
GENERAL.RIS_STUDYLIST		install none


#------------------------------------------------------------------------------------
# VARIABLE_NAME:	GENERAL.USE_RIS_STUDYLIST
# VARIABLE_TYPE:	Boolean
# DESCRIPTION:	        Defines whether or not the system will use an RIS studylist as the default 
#			studylist instead of the HMI studylist.  If set to YES, then General.RIS_Studylist 
#			must also be defined, or no RIS will be available.
#
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	NO
#------------------------------------------------------------------------------------
GENERAL.USE_RIS_STUDYLIST	install NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DISPLAY.SKIP_IMAGES
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			YES = will skip images in Scroll with mouse wheel, Power Scroll in Velocity mode, scroll using keyboard keys
#						NO = no images are skipped
# CONTEXT:			
# RANGE OF VALUES:		YES/NO

# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
DISPLAY.SKIP_IMAGES		install	NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.POLLINGFREQUENCY
# VARIABLE_TYPE:		int
# DESCRIPTION:			To define how often the system to check for studies that have been scheduled
#                       for sending
# CONTEXT:			
# RANGE OF VALUES:		any integer value from 1 minute to 60 minutes
# SUGGESTED DEFAULT: 	10 (minutes)
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.POLLINGFREQUENCY		install	10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.STATSTUDY.PRIORITIZE
# VARIABLE_TYPE:		Boolean
# DESCRIPTION:			To define whether or not to prioritize stat studies
#                       
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.STATSTUDY.PRIORITIZE		install	YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.PLAYAUDIO.STATSTUDY
# VARIABLE_TYPE:		Boolean
# DESCRIPTION:			To define whether sound clip to play when a new stat study finished
#                       loading as a result of push feature.
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.PLAYAUDIO.STATSTUDY		install	YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.PLAYAUDIO.ROUTINESTUDY
# VARIABLE_TYPE:		Boolean
# DESCRIPTION:			To define whether sound clip to play when a new non-stat study finished
#                       loading as a result of push feature.
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS: 
# NOTES:				Radiologists regard non-stat studies as routine studies.
#                       Studies with priority 'LOW, MEDIUM or HIGH' are regarded as ROUTINE studies    
#----------------------------------------------------------------------------
PUSH.PLAYAUDIO.ROUTINESTUDY		install	YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.AUDIOINDICATION.STATSTUDY
# VARIABLE_TYPE:		string
# DESCRIPTION:			To define which sound clip to play when a new stat study arrrived
#                       as a result of push feature.
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 	"DING.WAV"
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.AUDIOINDICATION.STATSTUDY		install	"DING.WAV"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.AUDIOINDICATION.ROUTINESTUDY
# VARIABLE_TYPE:		string
# DESCRIPTION:			To define which sound clip to play when a new non-stat study arrived
#                       as a result of push feature.
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 	"NOTIFY.WAV"
# EXCEPTIONS: 
# NOTES:				Radiologists regard non-stat studies as routine studies.
#                       Studies with priority 'LOW, MEDIUM or HIGH' are regarded as ROUTINE studies
#----------------------------------------------------------------------------
PUSH.AUDIOINDICATION.ROUTINESTUDY		install	"NOTIFY.WAV"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.FILTERINGSTUDIES
# VARIABLE_TYPE:		study statuses
# DESCRIPTION:			To define which studies are not automatically sent based on their study
#                       status.
# CONTEXT:			
# RANGE OF VALUES:		Dictated, Transcribed, Reported, Being reported by other users
# SUGGESTED DEFAULT: 	Dictated, Transcribed, Reported, Being reported by other users
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.FILTERINGSTUDIES		install	"Dictated" "Transcribed" "Reported" "Being reported by other users"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.SHOW.POWERSAVING.DIALOG
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			To define whether to show the user "Receiving Pushed Studies Power Saving Options" Dialog.
#                       This is only shown the first time when the system enters receive mode for the user.
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES  - show for the first time for the user
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.SHOW.POWERSAVING.DIALOG		install	  YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.SHOW.QUITAPP.DIALOG
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			To define whether to show the user "Exiting Application in Receive Mode" Dialog.
#                       
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.SHOW.QUITAPP.DIALOG		install	  YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.ENABLED
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			To define whether the push function is enabled to or disabled.
#                       Site Configurable only.
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.ENABLED		install	  NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.ENTERRECEIVEMODE
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			To define whether the system enters receive mode.
#                       
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.ENTERRECEIVEMODE		install	  YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.AUTOOPENREFERENCE
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			To define whether or not automatically open reference studies
#                       
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.AUTOOPENREFERENCE		install	  YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.SHOW.CANCELLOADING.DIALOG
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			To define whether to show the "Cancel Loading" Dialog
#                       
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PUSH.SHOW.CANCELLOADING.DIALOG		install	  YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.ENTRIES_IN_RECENTLY_OPENED_STUDIES
# VARIABLE_TYPE:		integer
# DESCRIPTION:			To define the maximum number of studies that can appear in the recently opened studies list.
#                       
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 	30
# EXCEPTIONS:
#----------------------------------------------------------------------------
PUSH.ENTRIES_IN_RECENTLY_OPENED_STUDIES install 30

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PUSH.MAX.PATIENTCONTEXT.LIMIT
# VARIABLE_TYPE:		integer
# DESCRIPTION:			Defines the maximum number of patient contexts that can be opened when studies are pushed.
#                       The push mechanism is suspended if (and only if) the number of open patients on the HRS-D
#						 client exceeds this number.  If changing this value please consult the configuration guide
#						 on what is acceptable for given client machine hardware configuration.
# CONTEXT:			
# RANGE OF VALUES:		Please consult the HRS 11 Configuration Guide.
# SUGGESTED DEFAULT: 	5
# EXCEPTIONS:
#----------------------------------------------------------------------------
PUSH.MAX.PATIENTCONTEXT.LIMIT	install 5

#----------------------------------------------------------------------------
# NOTE: This config variable is meant to solve a compatibility issue with GX -which has a similar config variable-.
#		Using this config variable is the preferred solution for not saving annotations for reported studies but
#		for those who want more control over how the annotations are saved a HMI PTF (PTF-HMI11-171) is available.
#		The approach taken by the HMI PTF is different, the permission for persistent annotations being granted
#		through activities. For more info see the PTF's readme file
#
# VARIABLE_NAME:		STUDYPRESENTATION.AUTOSAVE_ANNOTATIONS_FOR_ALREADY_REPORTED_STUDIES_ON_CLOSESTUDY
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			YES = will always auto-save annotations when closing study whose status is reported/dictated
#						NO =  do no auto-save annotations when closing study whose status is reported/dictated
# CONTEXT:			
# RANGE OF VALUES:		YES/NO
#
# NOTE: Default value changed to NO according to CRDB00043213. Same value as GX 
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
# 
# ***************************************WARNING******************************************
#
# The STUDYPRESENTATION.AUTOSAVE_ANNOTATIONS_FOR_ALREADY_REPORTED_STUDIES_ON_CLOSESTUDY config variable has been deprecated and might be retired 
# in a future release. 
# 
# The currently recommended way to prevent the user from creating persistent annotations on a dictated/reported study is by using the authorization 
# server. The current factory scriptable tasks/authorization scripts will do just that.
#
# The system will continue to use the afore mentioned config variable but for a system using the standard(factory) configuration (HMI & HRS) its 	
# effect will be null (the authorization server will prevent the user to create persistent annotations in the first place). 
#
# Users are strongly discouraged from relying on this config variable.
#
# ****************************************************************************************
#----------------------------------------------------------------------------
STUDYPRESENTATION.AUTOSAVE_ANNOTATIONS_FOR_ALREADY_REPORTED_STUDIES_ON_CLOSESTUDY		install	NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.SAVE_FLAG_STATUS_FOR_REPORTED_STUDIES
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			YES = will always save flagged images when study status is reported/dictated
#						NO =  will not save flagged images when study whose status is reported/dictated
# CONTEXT:			
# RANGE OF VALUES:		YES/NO
#
# NOTE: Default value changed to YES according to CRDB00043213. Same value as GX 
# SUGGESTED DEFAULT: 	YES
# EXCEPTIONS:       
#----------------------------------------------------------------------------
STUDY.SAVE_FLAG_STATUS_FOR_REPORTED_STUDIES install YES



# The following section is dedicated to Direct Draw enabled list of drivers
#----------------------------------------------------------------------------
# VARIABLE_NAME:		LIST_OF_SPECIAL_DISPLAY_DRIVERS
# VARIABLE_TYPE:		list of strings(drivers)
# DESCRIPTION:			List of supported driver names for witch Direct Draw blitting is used. 
#                       
# CONTEXT:			
# RANGE OF VALUES:		Driver<N> where N is a number starting at 1 
# SUGGESTED DEFAULT: 		Please contact MIG R&D or SysEng departments. 
# EXCEPTIONS:       
# EXAMPLE:			Driver1 Driver2 	
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		ENABLE_DIRECT_DRAW
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			Enable/Disable DirectDraw for the specific driver
#                       
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 		YES
# EXCEPTIONS:      
# EXAMPLE:			Driver1.ENABLE_DIRECT_DRAW = YES 
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DEVICE_ID
# VARIABLE_TYPE:		string
# DESCRIPTION:			the device(hardware) ID
#                       
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 		Please contact MIG R&D or SysEng departments.
# EXCEPTIONS: 
# EXAMPLE:			Driver1.DEVICE_ID = "ven_13cc&dev_afb2&subsys_000313cc"      
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DRIVER_NAME
# VARIABLE_TYPE:		string
# DESCRIPTION:			the driver name
#                       
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 		Please contact MIG R&D or SysEng departments.
# EXCEPTIONS:   
# EXAMPLE:			Driver1.DRIVER_NAME = "BarcoMed 3MP2FH"    
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		DRIVER_VERSION
# VARIABLE_TYPE:		string
# DESCRIPTION:			the driver version
#                       
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 		Please contact MIG R&D or SysEng departments.
# EXCEPTIONS:       
# EXAMPLE:			Driver1.DRIVER_VERSION = "5.2.10.1"	
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		USE_VIDEO_MEMORY
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			indicates whether or not video memory should be used 
#                       
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 		Please contact MIG R&D or SysEng departments.
# EXCEPTIONS:       
# EXAMPLE:			Driver1.USE_VIDEO_MEMORY = YES
#----------------------------------------------------------------------------

# Example of usage
#		LIST_OF_SPECIAL_DISPLAY_DRIVERS 	install 	Driver1
# 		Driver1.ENABLE_DIRECT_DRAW = YES
#		Driver1.DEVICE_ID = "ven_13cc&dev_afb2&subsys_000313cc"
#		Driver1.DRIVER_NAME = "BarcoMed 3MP2FH"
#		Driver1.DRIVER_VERSION = "5.2.10.1"
#		Driver1.USE_VIDEO_MEMORY = YES
# WARNING Please do not install/modify any DirectDraw related settings without of knowledge of  R&D(System Engineering)
# End of dedicated list of Direct Draw enabled list of drivers


#----------------------------------------------------------------------------
# VARIABLE_NAME:		PREFERRED_ZOOM_FACTOR
# VARIABLE_TYPE:		boolean
# DESCRIPTION:			To define whether or not automatically adjust the closest zoom factor to the one displayed while playing cine or power scroll
#                       
# CONTEXT:			
# RANGE OF VALUES:		YES, NO
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
PREFERRED_ZOOM_FACTOR		install		NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ONLINE_HELP.LAUNCH_URL
# VARIABLE_TYPE:	String
# DESCRIPTION:		Specifies the url which will launch online help. Site configurable only.
# CONTEXT:			
# RANGE OF VALUES:	
#	 
# SUGGESTED DEFAULT: 	"../OnlineHelp/HRS_D/doc/help/group/horizon_rad_station_11_web/title.htm" 
# EXAMPLE: ONLINE_HELP.LAUNCH_URL INSTALL "../OnlineHelp/HRS_D/doc/help/group/horizon_rad_station_11_web/title.htm"
# EXCEPTIONS:       
#----------------------------------------------------------------------------
ONLINE_HELP.LAUNCH_URL INSTALL "../OnlineHelp/HRS_D/doc/help/group/horizon_rad_station_11_web/title.htm"


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ONLINE_HELP.LAUNCH_URL.FRC
# VARIABLE_TYPE:	String
# DESCRIPTION:		Specifies the url which will launch online help in French language. Site configurable only.
# CONTEXT:			
# RANGE OF VALUES:	
#	 
# SUGGESTED DEFAULT: 	"../OnlineHelp/HRS_D_FRC/doc/help/group/book/title.htm" 
# EXAMPLE: ONLINE_HELP.LAUNCH_URL INSTALL "../OnlineHelp/HRS_D_FRC/doc/help/group/book/title.htm"
# EXCEPTIONS:       
#----------------------------------------------------------------------------
ONLINE_HELP.LAUNCH_URL.FRC INSTALL "../OnlineHelp/HRS_D_FRC/doc/help/group/book/title.htm"


#----------------------------------------------------------------------------
# VARIABLE_NAME:	LINKING.AUTOMATIC.INTRASTUDY
# VARIABLE_TYPE:	Boolean
# DESCRIPTION:		An option that controls the automatic registration of two or more FOR within a single study
# CONTEXT:			
# RANGE OF VALUES:	YES, NO
#	 
# SUGGESTED DEFAULT: 	NO
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.AUTOMATIC.INTRASTUDY	INSTALL 	NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:	LINKING.ALLOW_PERCENT_IMAGES_WITHOUT_FOR
# VARIABLE_TYPE:	Integer
# DESCRIPTION:	An option that controls number of images (expressed as %age of images in a sequence)
#			that are allowed to have missing FOR value info in DICOM file.
# CONTEXT:		This value is used to determine if a sequence should be considered a candidate for linking.
#			If a sequence with a single FOR has some images without FOR info, it can still be considered
#			a valid candidate for linking if %age of such images is less than this configured value.
# RANGE OF VALUES:	0 to 100
# UNIT FO MEASUREMENT:	% (percent)
# SUGGESTED DEFAULT: 	0
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.ALLOW_PERCENT_IMAGES_WITHOUT_FOR	INSTALL 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:	LINKING.ALLOW_PERCENT_IMAGES_WITHOUT_SPATIAL_INFO
# VARIABLE_TYPE:	Boolean
# DESCRIPTION:	An option that controls number of images (expressed as %age of images in a sequence)
#			that are allowed to have missing spatial info value in DICOM file.
# CONTEXT:		This value is used to determine if a sequence should be considered a candidate for linking.
#			If a sequence with a single FOR has some images without Spatial info, it can still be considered
#			a valid candidate for linking if %age of such images is less than this configured value.		
# RANGE OF VALUES:	0 to 100
# UNIT FO MEASUREMENT:	% (percent)
# SUGGESTED DEFAULT: 	0
# EXCEPTIONS:       
#----------------------------------------------------------------------------
LINKING.ALLOW_PERCENT_IMAGES_WITHOUT_SPATIAL_INFO INSTALL 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:	HPP.CONTEXT_ACCOUNT_NAME
# VARIABLE_TYPE:	String
# DESCRIPTION:		Indicates which database field to get the special HPP
#			integration Context property from for the accountnumber
#			that is required when integrating with HPP.  Setting
#			variable to NONE will prevent any of the special non-HL7
#			SSS Context properties to be set by HRS.  If any other
#			value than "NONE" is set the following properties will be
#			set in the CSF Context (By HRS):
#			  patient.id.[mckhboc.com]accountnumber.[facility]
#			  patient.co.patientname
#			  patient.id.[mckhboc.com]servicingfacility.HRS
#			********************************************************
#			   ALWAYS USE "NONE" UNLESS INTEGRATING WITH HPP
#			********************************************************
# CONTEXT:			
# RANGE OF VALUES:	NONE, ADMISSIONID, CUSTOM1, CUSTOM2, ... CUSTOM10
#	 
# SUGGESTED DEFAULT: 	NONE    
#----------------------------------------------------------------------------
HPP.CONTEXT_ACCOUNT_NAME	INSTALL		NONE

#----------------------------------------------------------------------------
# VARIABLE_NAME:		SORT_IMAGE.LIST_OF_SORT_CRITERIA
# VARIABLE_TYPE:		vector of strings
# DESCRIPTION: 			Specifies by ISG (Sequencing Scripts), defines the names (STRING value) 
#						of the possible image sort criteria for the site 
# CONTEXT:				Site configurable only
# RANGE OF VALUES:		Any string separated by space - e.g., "Location" "Time"
# SUGGESTED DEFAULT:	(To be provided by SCM Sequencing Engine)
# MODIFICATION THROUGH GUI:	No 
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		SORT_IMAGE.<Source>	INSTALL	"<Criteria>" "<Order>"
# DESCRIPTION: 			Specifies the Image Sort criteria and order when displaying images from the specific image capturing device <Source>. This configuration takes precedence over the per modality configuration.
#						In the case of multi-word value for <Source> replace spaces with underscores.
# RANGE OF VALUES:		<Source> - The name of the image capturing device
#						<Criteria> - Values of SORT_IMAGE.LIST_OF_SORT_CRITERIA 
#						<Order> - acceptable values = {Standard, Reverse}
# CONTEXT:				Site configuration only
# EXAMPLE:				SORT_IMAGE.Source_CT1	INSTALL	"Location", "Standard"
# SUGGESTED DEFAULT:	None - Image sort algorithm built in the SCM sequencing scripts
# MODIFICATION THROUGH GUI:	No 
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:	COPY_TO_CLIPBOARD.DEFAULT
# VARIABLE_TYPE:	String
# DESCRIPTION:		This variable dictates the default mode for Copy
# 			Image.  If this is set to a value other then this
# 			the toggle will not write a new value (What should
# 			it write?) but once you manually select a mode it
# 			will be written
#
# CONTEXT:			
# RANGE OF VALUES:	"COPY_IMAGE_WITHOUT_MARKINGS", "COPY_IMAGE_AS_DISPLAYED"
#	 
# SUGGESTED DEFAULT: 	"COPY_IMAGE_WITHOUT_MARKINGS"    
#----------------------------------------------------------------------------
COPY_TO_CLIPBOARD.DEFAULT     	INSTALL		"COPY_IMAGE_WITHOUT_MARKINGS" 

#----------------------------------------------------------------------------
# VARIABLE_NAME:	COPY_TO_CLIPBOARD.SHOW_WARNING 
# VARIABLE_TYPE:	String
# DESCRIPTION:		This variable in the USER file shows if the user
# 			has checked the "Don't show this warning again"
# 			checkbox when the user copies an image with
# 			the "as displayed" option.  For HIPPA reasons
# 			DO NOT set to "NO" in the SITE or BASE file.
#
# 			As the setting is only updated when it is checked
# 			you may never see "YES" in any file, it defaults to
# 			"YES" and doesn't write it.  These is no method in 
# 			the GUI to uncheck this selection after its saved.
#
# 			*** HRS should ignore the SITE and BASE file and
# 			    only read the USER file ***
# CONTEXT:			
# RANGE OF VALUES:	"YES", "NO"
#	 
# SUGGESTED DEFAULT: 	"NO"    
#----------------------------------------------------------------------------
#COPY_TO_CLIPBOARD.SHOW_WARNING	INSTALL	"YES"

#----------------------------------------------------------------------------
# VARIABLE_NAME:	GENERAL.PRINT.AROUND_VISIBLE_CENTER 
# VARIABLE_TYPE:	Boolean
# DESCRIPTION:		This variable determines what would be passed as the Zoom Center
#			to Image Processing when image is printed. This variable affects
#			only printing images that are currently visible on the screen.
#			Default value "NO" preserves existing behaviour when Point of
#			Interest indicated by mouse-click during interactive zoom is passed
#			to IP as the Zoom Center.
#			If configured to "YES" the center of the visible image viewport
#			is passed to IP as the Zoom Center.
# CONTEXT:		No GUI access for user. Site configurable only.
# RANGE OF VALUES:	"YES", "NO"
#	 
# SUGGESTED DEFAULT: 	"NO"    
#----------------------------------------------------------------------------
GENERAL.PRINT.AROUND_VISIBLE_CENTER	INSTALL	"NO"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		MINIMIZE.THIRD_PARTY_APPLICATIONS.OPTIONS
# VARIABLE_TYPE:		integer
# DESCRIPTION:			indicates what option is used for minimizing third party applications. The following options are available:
#				1 - always minimize the applications having the main window's size zero
#				2 - never minimize the applications having the main window's size zero
#				3 - minimize the applications having the main window's size zero only if there is at least one child window 
#				which covers Emerald viewports (more than 0.5 of the child window area overlapps with Emerald area)
#                       
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 		1 (for legacy)
# EXCEPTIONS:       
# EXAMPLE:			
#----------------------------------------------------------------------------
MINIMIZE.THIRD_PARTY_APPLICATIONS.OPTIONS	INSTALL		1


#----------------------------------------------------------------------------
# VARIABLE_NAME:		MINIMIZE.SUPPORTED_THIRD_PARTY_APPLICATIONS
# VARIABLE_TYPE:		array of strings
# DESCRIPTION:			indicates what applications must not be minimize even if they overlapp with Emerald area 
#				Exemple: in order to never minimize applications with the main window's caption containing the word "Notepad" 		
#				MINIMIZE.SUPPORTED_THIRD_PARTY_APPLICATIONS  INSTALL "Notepad" 
#                       
# CONTEXT:			
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: 		
# EXCEPTIONS:       
# EXAMPLE:			
#----------------------------------------------------------------------------
MINIMIZE.SUPPORTED_THIRD_PARTY_APPLICATIONS  INSTALL	

#----------------------------------------------------------------------------
# VARIABLE_NAME:	HISTORICAL_IMAGES.SORT_ORDER 
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		This variable specifies the order in which the Historical
#					Similar Images will be sorted 
#			

# CONTEXT:			
# RANGE OF VALUES:	0 = Sorted by study date; Most recent image is first 
#					1 = Sorted by study date; Oldest image is first
# SUGGESTED DEFAULT: 	0    
#----------------------------------------------------------------------------
HISTORICAL_IMAGES.SORT_ORDER INSTALL 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:	HISTORICAL_IMAGES.CUSTOM_MENU_DEFAULT.TIME_HORIZON_VALUE 
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		This variable specifies the time period from the prior time to 
#                   the current time for the default custom menu 
#			

# CONTEXT:		GUI access for user available. Site configurable only.
# RANGE OF VALUES:	1- 20
#	 
# SUGGESTED DEFAULT: 	2    
#----------------------------------------------------------------------------
HISTORICAL_IMAGES.CUSTOM_MENU_DEFAULT.TIME_HORIZON_VALUE	INSTALL	2

#----------------------------------------------------------------------------
# VARIABLE_NAME:	HISTORICAL_IMAGES.CUSTOM_MENU_DEFAULT.TIME_HORIZON_UNIT 
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		This variable specifies the time unit from the prior time to 
#                   the current time for the default custom menu.  
#
# CONTEXT:		    GUI access for user available. Site configurable only.

# RANGE OF VALUES:	1 => year(s)
#                   2 => month(s)
#	 
# SUGGESTED DEFAULT: 	2    
#----------------------------------------------------------------------------
HISTORICAL_IMAGES.CUSTOM_MENU_DEFAULT.TIME_HORIZON_UNIT	INSTALL	1


#----------------------------------------------------------------------------
# VARIABLE_NAME:	HISTORICAL_IMAGES.AUTO_OPEN_STUDY_TIME_HORIZON.MIN_VALUE  
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		This variable specifies the lower range of the period. 
# CONTEXT:		GUI access for user available. Site configurable only.
# RANGE OF VALUES:	1 - 20
#	 
# SUGGESTED DEFAULT: 	1    
#----------------------------------------------------------------------------
HISTORICAL_IMAGES.AUTO_OPEN_STUDY.TIME_HORIZON_MIN_VALUE		INSTALL	1

#----------------------------------------------------------------------------
# VARIABLE_NAME:	HISTORICAL_IMAGES.AUTO_OPEN_STUDY_TIME_HORIZON.MIN_VALUE  
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		This variable specifies the lower range of the period. 
# CONTEXT:		GUI access for user available. Site configurable only.
# RANGE OF VALUES:	1-20
#	 
# SUGGESTED DEFAULT: 	20   
#----------------------------------------------------------------------------
HISTORICAL_IMAGES.AUTO_OPEN_STUDY.TIME_HORIZON_MAX_VALUE		INSTALL	20

#----------------------------------------------------------------------------
# VARIABLE_NAME:	HISTORICAL_IMAGES.CUSTOM_MENU_OPTIONS 
# VARIABLE_TYPE:	String
# DESCRIPTION:		This variable specifies the customized menu options.
# CONTEXT:		GUI access for user available. Site configurable only.
# RANGE OF VALUES:	Multiple strings separated by space
#	 
# SUGGESTED DEFAULT: 	3    
#----------------------------------------------------------------------------
HISTORICAL_IMAGES.CUSTOM_MENU_OPTIONS	INSTALL	HSI_CUSTOM_MENU_OPTION1 HSI_CUSTOM_MENU_OPTION2

#----------------------------------------------------------------------------
# VARIABLE_NAME:	HSI_CUSTOM_MENU_OPTION1.TIME_HORIZON_VALUE 
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		This variable specifies the time value from the prior time to 
#                       the current time for the customized menu options.
# CONTEXT:		GUI access for user available. Site configurable only.
# RANGE OF VALUES:	1-20
# SUGGESTED DEFAULT: 	4   

# VARIABLE_NAME:	HSI_CUSTOM_MENU_OPTION1.TIME_HORIZON_UNIT 
# VARIABLE_TYPE:	String
# DESCRIPTION:		This variable specifies the time unit from the prior time to 
#                       the current time for the customized menu options.
# CONTEXT:		GUI access for user available. Site configurable only.
# RANGE OF VALUES:	1 => year(s)
#                       2 => month(s)
# SUGGESTED DEFAULT: 	1 
#----------------------------------------------------------------------------
HSI_CUSTOM_MENU_OPTION1.TIME_HORIZON_VALUE		INSTALL	4
HSI_CUSTOM_MENU_OPTION1.TIME_HORIZON_UNIT		INSTALL	1
HSI_CUSTOM_MENU_OPTION1.TIME_HORIZON_MIN_VALUE		INSTALL	1
HSI_CUSTOM_MENU_OPTION1.TIME_HORIZON_MAX_VALUE		INSTALL	20

HSI_CUSTOM_MENU_OPTION2.TIME_HORIZON_VALUE		INSTALL	6
HSI_CUSTOM_MENU_OPTION2.TIME_HORIZON_UNIT		INSTALL	1
HSI_CUSTOM_MENU_OPTION2.TIME_HORIZON_MIN_VALUE		INSTALL	1
HSI_CUSTOM_MENU_OPTION2.TIME_HORIZON_MAX_VALUE		INSTALL	20


#----------------------------------------------------------------------------
# VARIABLE_NAME:	AUXILIARY_MONITOR_DIM.AUTO_DIM_ENABLE 
# VARIABLE_TYPE:	Boolean
# DESCRIPTION:		This variable sets whether to automatically dim auxiliary monitors up study open.
# CONTEXT:		This variable can be changed fro the GUI for a specific user.
# RANGE OF VALUES:	"YES", "NO"
#	 
# SUGGESTED DEFAULT: 	"NO"    
#----------------------------------------------------------------------------
AUXILIARY_MONITOR_DIM.AUTO_DIM_ENABLE		INSTALL	"NO"			

#----------------------------------------------------------------------------
# VARIABLE_NAME:	AUXILIARY_MONITOR_DIM.AUTO_DIM_MODALITY 
# VARIABLE_TYPE:	String
# DESCRIPTION:		This variable sets which modality shall 
#			automatically dim the auxiliary monitors on study open.
# CONTEXT:		This variable can be changed from the GUI for a specific user.
#			If selected "All" modalities, auto dimming shall apply to all modality study.	
#
# RANGE OF VALUES:	Any modality
#	 
# SUGGESTED DEFAULT: 	"MG"    
#----------------------------------------------------------------------------
AUXILIARY_MONITOR_DIM.AUTO_DIM_MODALITY		INSTALL	"MG"			

#----------------------------------------------------------------------------
# VARIABLE_NAME:	AUXILIARY_MONITOR_DIM.AUTO_DIM_SECONDS 
# VARIABLE_TYPE:	Positive Integer
# DESCRIPTION:		If auto dimming is enabled, the system shall dim the auxiliary 
#			monitor after the specified number of Auto Dim seconds upon study open.	
#
# RANGE OF VALUES:	The maximum number of digits is 3. (Range 1 – 999)
#	 
# SUGGESTED DEFAULT: 	"10"    
#----------------------------------------------------------------------------
AUXILIARY_MONITOR_DIM.AUTO_DIM_SECONDS 		INSTALL	10	

#----------------------------------------------------------------------------
# VARIABLE_NAME:	AUXILIARY_MONITOR_DIM.MOUSE_HOVER_ILLUMINATION 
# VARIABLE_TYPE:	Boolean
# DESCRIPTION:		This variable sets whether to automatically dim an auxiliary
#			monitor when the mouse hovers over.
#
# RANGE OF VALUES:	"YES", "NO"
#	 
# SUGGESTED DEFAULT: 	"YES"    
#----------------------------------------------------------------------------
AUXILIARY_MONITOR_DIM.MOUSE_HOVER_ILLUMINATION 	INSTALL	"YES"	

#----------------------------------------------------------------------------
# VARIABLE_NAME:	AUXILIARY_MONITOR_DIM.WINDOWS_EXCLUSION_LIST_IDS 
# VARIABLE_TYPE:	list of integers
# DESCRIPTION:		This variable sets a list of windows that not participate to the
#			automatic undimming of the auxiliary monitors.
#			The value of this variable is a set of resource ID for the corresponding window	
#
#			WARNING WARNING WARNING	
#			!!!!! Do not install/modify this value R&D without a prior consultation with R&D !!!!
#			
# RANGE OF VALUES:	any positive number greather than 0
#	 
# SUGGESTED DEFAULT: 	none   
#----------------------------------------------------------------------------
AUXILIARY_MONITOR_DIM.WINDOWS_EXCLUSION_LIST_IDS INSTALL
		

#----------------------------------------------------------------------------
# VARIABLE_NAME:	AUXILIARY_MONITOR_DIM.WINDOWS_EXCLUSION_LIST_PROCESS_NAMES 
# VARIABLE_TYPE:	list of strings
# DESCRIPTION:		This variable sets a list of processes that not participate to the
#			automatic undimming of the auxiliary monitors.
#			The value of this variable is a set of strings representing the process names
#
#			WARNING WARNING WARNING	
#			!!!!! Do not install/modify this value R&D without a prior consultation with R&D !!!!
#
# RANGE OF VALUES:	specific process names
#	 
# SUGGESTED DEFAULT: 	none   
#----------------------------------------------------------------------------
AUXILIARY_MONITOR_DIM.WINDOWS_EXCLUSION_LIST_PROCESS_NAMES INSTALL AliStu~1.exe AliStudyList.exe


#----------------------------------------------------------------------------
# VARIABLE_NAME:	ZOOM.MG.AUTO.ZOOM_TO_FIT_ANATOMY_FOR_OPEN_STUDY 
# VARIABLE_TYPE:	BOOL
# DESCRIPTION:		This variable specifies whether to use Zoom to Fit Anatomy  
#                   automatically for images when a MG study is opened.  
# CONTEXT:			GUI access for user available. Site configurable only.
# RANGE OF VALUES:	YES, NO
#	 
# SUGGESTED DEFAULT: 	YES    
#----------------------------------------------------------------------------
ZOOM.MG.AUTO.ZOOM_TO_FIT_ANATOMY_FOR_OPEN_STUDY		INSTALL	YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ZOOM.MG.QUADRANT.IMAGE_QUADRANT_DIVISION
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		This variable specifies how to divide MG image into quadrants  
#                   when applying quadrant zoom operation on it.  
# CONTEXT:			GUI access for user available.
# RANGE OF VALUES:	1, 2
#                   1 => the image quadrants should be a quarter
#						 of the actual image
#                   2 => the image quadrants should be a quarter
#						 of the breast ROI(the smallest rectangle around tissue)
#	 
# SUGGESTED DEFAULT: 	2    
#----------------------------------------------------------------------------
ZOOM.MG.QUADRANT.IMAGE_QUADRANT_DIVISION		INSTALL		2

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ZOOM.MG.QUADRANT.DISPLAY_ZOOM_IMAGE_MAP 
# VARIABLE_TYPE:	BOOL
# DESCRIPTION:		This variable specifies whether to display the Quadrant   
#                   Zoom Image Map.  
# CONTEXT:			GUI access for user available.
# RANGE OF VALUES:	YES, NO
#	 
# SUGGESTED DEFAULT: 	YES    
#----------------------------------------------------------------------------
ZOOM.MG.QUADRANT.DISPLAY_ZOOM_IMAGE_MAP          INSTALL	YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ZOOM.MG.QUADRANT.ZOOM.QUADRANT_MARGINS_PERCENTAGE 
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		Specifies the minimal margin to add to the actual image quadrant when
#					quadrant zooming. The configured value is in percentage relative
#					to the width and height of the actual image.
# CONTEXT:			GUI access for user is not available. Site configurable only.
# RANGE OF VALUES:	1 - 50
#	 
# SUGGESTED DEFAULT: 	10    
#----------------------------------------------------------------------------
ZOOM.MG.QUADRANT.QUADRANT_MARGINS_PERCENTAGE	INSTALL	10

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ZOOM.MG.QUADRANT.EXIT_ON_QUADRANT_CYCLING 
# VARIABLE_TYPE:	BOOL
# DESCRIPTION:		This variable specifies whether the system should automatically
#					exit Quadrant Zoom after cycling through all image quadrants at least once,
#					or to continue cycling through the quadrants.
# CONTEXT:			GUI access for user available.
# RANGE OF VALUES:	YES/NO
#					YES - exit QZ on Next/Preveous command if all quadrants have been displayed
#					NO - continue cycling even though all quadrants have been displayed already
#	 
# SUGGESTED DEFAULT: 	NO    
#----------------------------------------------------------------------------
ZOOM.MG.QUADRANT.EXIT_ON_QUADRANT_CYCLING			INSTALL NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ZOOM.MG.QUADRANT.IMAGE_QUADRANT_PLACEMENT
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		Specifies the rule where to place a quadrant of the image 
#					when Quadrant zoom operation is invoked
# CONTEXT:			GUI access for user is available.
# RANGE OF VALUES:	0, 1, 2
#                   0 => Always display image quadrants embedded in the active viewport
#						 irrespective of whether the viewport is fixed or floating
#                   1 => Display image quadrants in a new floating window only
#						 if the fixed viewport layout on the monitor is not 1x1
#						 (note that if Quadrant Zoom is invoked in a floating window,
#						 the system shall display the quadrants in a new floating window)
#					2 => Always display image quadrants in a new floating window.
#
# SUGGESTED DEFAULT: 0
#----------------------------------------------------------------------------
ZOOM.MG.QUADRANT.IMAGE_QUADRANT_PLACEMENT			INSTALL 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ALL_IMAGES.EXCLUDE_SEQUENCES
# VARIABLE_TYPE:	list of strings
# DESCRIPTION:		This variable sets a list of sequence names that should not be included as 
#					part of the dynamically generated *All Images* sequence.
#
# RANGE OF VALUES:	Specific sequence names that should not show in the *All Images* sequence
#	 
# SUGGESTED DEFAULT: 	"*Color Stills*" "For Processing"
#----------------------------------------------------------------------------
ALL_IMAGES.EXCLUDE_SEQUENCES INSTALL 	"*Color Stills*" "For Processing"

#----------------------------------------------------------------------------
# VARIABLE_NAME:	LOG_PERFORMANCE_DATA 
# VARIABLE_TYPE:	String
# DESCRIPTION:		This variable in the USER file enables the logging of performance data,
#                       such as Time for 1st image load, total size of study and etc in global eventlog
# CONTEXT:		
# RANGE OF VALUES:	"YES", "NO"
#	 
# SUGGESTED DEFAULT: 	"NO"    
#----------------------------------------------------------------------------
LOG_PERFORMANCE_DATA	INSTALL	"NO"

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CADSR.MARKS_PRESENTATION_MODE
# VARIABLE_TYPE:	Integer
# DESCRIPTION:		Specifies the rule which presentation mode to use to display
#					CAD SR markers on MG images
# CONTEXT:			GUI access for user is available.
# RANGE OF VALUES:	1, 2
#                   1 => Always display CAD SR marks in centroid mode
#                   2 => Always display CAD SR marks in outline mode
#					
# SUGGESTED DEFAULT: 1
#----------------------------------------------------------------------------
CADSR.MARKS_PRESENTATION_MODE			INSTALL 1

#----------------------------------------------------------------------------
# VARIABLE_NAME:	CADSR.SHOW_TOOLTIPS	 
# VARIABLE_TYPE:	BOOL
# DESCRIPTION:		This variable specifies to display the information associated to
#					CAD SR markers in tooltips
# CONTEXT:			GUI access for user is available.
# RANGE OF VALUES:	YES, NO
#	 
# SUGGESTED DEFAULT: 	YES   
#----------------------------------------------------------------------------
CADSR.SHOW_TOOLTIPS						INSTALL YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSD.USE_DEFAULT_STUDYLIST
# VARIABLE_TYPE:     String
# DESCRIPTION:       Determines which study list will be the default for a particular user.
#		     User Configurable (through UI - HRS Study List Preferences Panel)
#		     In order for the RIS option to work with HRS-D, 
#		     General.RIS_StudyList must be appropriately configured.
#
# CONTEXT:           This variable only takes effect over web sessions,
#                    that is, only for HRS Distributed.
# RANGE OF VALUES:   Basic, Advanced
# SUGGESTED DEFAULT: Basic
# EXCEPTIONS:        Has no effect for HRS Advanced.
#----------------------------------------------------------------------------
HRSD.USE_DEFAULT_STUDYLIST       install      Basic

#----------------------------------------------------------------------------
# VARIABLE_NAME:		PAGING.OPTION.<Modality>
# VARIABLE_TYPE:		array of string
# DESCRIPTION:			Default paging behavior per modality
# RANGE OF VALUES:		PAGE, SCREEN, ROW, IMAGE
# SUGGESTED DEFAULT:		US - IMAGE, PT - IMAGE, All Other Modalities - PAGE
# MODIFICATION THROUGH GUI:	YES
#----------------------------------------------------------------------------
PAGING.OPTION.PT		INSTALL		IMAGE
PAGING.OPTION.US		INSTALL		IMAGE
PAGING.OPTION.CR		INSTALL		PAGE
PAGING.OPTION.CT		INSTALL		PAGE
PAGING.OPTION.DR		INSTALL		PAGE
PAGING.OPTION.DS		INSTALL		PAGE
PAGING.OPTION.DX		INSTALL		PAGE
PAGING.OPTION.ES		INSTALL		PAGE
PAGING.OPTION.MG		INSTALL		PAGE
PAGING.OPTION.MR		INSTALL		PAGE
PAGING.OPTION.NM		INSTALL		PAGE
PAGING.OPTION.OT		INSTALL		PAGE
PAGING.OPTION.PR		INSTALL		PAGE
PAGING.OPTION.RF		INSTALL		PAGE
PAGING.OPTION.RG		INSTALL		PAGE
PAGING.OPTION.RT		INSTALL		PAGE
PAGING.OPTION.SC		INSTALL		PAGE
PAGING.OPTION.VL		INSTALL		PAGE
PAGING.OPTION.XA		INSTALL		PAGE

#----------------------------------------------------------------------------
# VARIABLE_NAME:	ENABLE_THUMBNAIL_OPTIMIZATION_FOR_MODALITIES 
# VARIABLE_TYPE:	list of strings
# DESCRIPTION:		This variable sets a list of modalities for which the web server 
#			will generate the thumbnails.
# RANGE OF VALUES:	specific modalities
#	 
# SUGGESTED DEFAULT: 	none   
#----------------------------------------------------------------------------
ENABLE_THUMBNAIL_OPTIMIZATION_FOR_MODALITIES install MG

#----------------------------------------------------------------------------
# VARIABLE_NAME:	STUDY.OPEN.ORDER
# VARIABLE_TYPE:	integer enum
# DESCRIPTION:  	Defines how to control the order in which studies display
#            		  once they have been opened from the study list, as well as
#            		  the order in which studies are displayed in the Study/Album
#            		  Selection Menu.
#            		  This does not apply when the studies in question are teaching albums.
#
# CONTEXT:        Preferences/Study List Preferences Panel
#
# RANGE OF VALUES:  	0 – Alphabetical by Album Name/Patient Last Name,
#                   	1 – Selected Order
# SUGGESTED DEFAULT:	0
# EXCEPTIONS:       	none
#--------------------------------------------------------------------------
STUDY.OPEN.ORDER	install 	0

#----------------------------------------------------------------------------
# VARIABLE_NAME:		STUDY.OPEN.SHOW.OAF.AUTOLAUNCH_LIST	INSTALL
# VARIABLE_TYPE:		array of strings
# DESCRIPTION:			List of application names, configured to autolaunch when opening the study context
#                       
# CONTEXT:			subarray of applications configured to autolaunch in OAF.site in variables "<APPS_NAME>.AUTOLAUNCH "
# RANGE OF VALUES:		
# SUGGESTED DEFAULT: NONE		
# SUGGESTED USE:    It's been entered through User Preferences dialog in emviewer.<USER> config file   
# 									Don't need to be entered in .base file		
#----------------------------------------------------------------------------
#STUDY.OPEN.SHOW.OAF.AUTOLAUNCH_LIST	INSTALL  NONE	

#----------------------------------------------------------------------------
# VARIABLE_NAME:	GENERAL.BATCH_LOADING_FOR_WAN_ENABLED 
# VARIABLE_TYPE:	Boolean
# DESCRIPTION:		This variable determines if FFL library has to be used
#			for loading Sequencing Scripts and Display Protocols
#			during the HRS startup time.
#			In case when the variable is set to "YES" but the
#			FFL service is unavailable the traditional loading is used
#			during the HRS startup time.
#			PLEASE CONTACT ENGINEERING WHEN CONFIGURING THE SITE SETTINGS.
# CONTEXT:		No GUI access for user. Site configurable only.
# RANGE OF VALUES:	"YES", "NO"
#	 
# SUGGESTED DEFAULT: 	"NO"    
#----------------------------------------------------------------------------
GENERAL.BATCH_LOADING_FOR_WAN_ENABLED	INSTALL NO

#----------------------------------------------------------------------------
# VARIABLE_NAME:     HRSA.GENERAL.CHANNELS_NUMBER
# VARIABLE_TYPE:     long
# DESCRIPTION:       The number of channels used by HRSA sessions for downloading
#                    images in the background. 
# RANGE OF VALUES:   1 or the number of channels, used for download
# SUGGESTED DEFAULT: 4
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
HRSA.GENERAL.CHANNELS_NUMBER  INSTALL  4

#----------------------------------------------------------------------------
# VARIABLE_NAME:	MG_TURN_AROUND_TIME 
# VARIABLE_TYPE:	integer (days)
# DESCRIPTION:		Defines the time used by HRS to provide an "old study"
#			status icon indication in the HRS toolbar. This indication
#			applies to opened studies imported in PACS more  
#			than MG_TURN_AROUND_TIME days ago.
# CONTEXT:		No GUI access for user. Site configurable only.
# RANGE OF VALUES:	0 - the "old study" status indication is disabled. 
#			greather or equal to 1 - the "old study" status indication  
#	 		is enabled. The value gives the threshold in days after which 
#			an imported study is considered "old". 
# SUGGESTED DEFAULT: 	0 (disabled)
#			When the feature is enabled, the suggested value is one day,
#			but this can vary depending on site specific turn around time 
#			for reading
#----------------------------------------------------------------------------
MG_TURN_AROUND_TIME	INSTALL	0
